using System;
using System.Data;
using System.Drawing;
using System.Collections;
using System.ComponentModel;
using System.Windows.Forms;

using Infragistics.Win;
using Infragistics.Win.UltraWinGrid;
using Infragistics.Win.UltraWinTree;
using Core.Mes.ClientFrameWork;

namespace Core.Mes.ClientPurviewManager
{
  /// <summary>
  /// FrmPurviewSet 的摘要说明。
  /// </summary>
  public class FrmPurviewSet : FrmBase
  {
    #region 成员区
    private Infragistics.Win.UltraWinToolbars.UltraToolbarsManager ultraToolbarsManager1;
    private System.Data.DataSet dataSet1;
    private System.Data.DataTable dataTable1;
    private System.Data.DataColumn dataColumn1;
    private System.Data.DataColumn dataColumn2;
    private System.Data.DataColumn dataColumn3;
    private System.Data.DataColumn dataColumn4;
    private Infragistics.Win.UltraWinGrid.UltraGrid ultraGrid2;
    private Infragistics.Win.UltraWinTree.UltraTree ultraTree1;
    private System.Data.DataSet dataSet2;
    private System.Data.DataTable dataTable2;
    private Infragistics.Win.Misc.UltraExpandableGroupBox ultraExpandableGroupBox2;
    private Infragistics.Win.Misc.UltraExpandableGroupBoxPanel ultraExpandableGroupBoxPanel2;
    private Infragistics.Win.UltraWinToolbars.UltraToolbarsManager ultraToolbarsManager2;
    private Infragistics.Win.UltraWinToolbars.UltraToolbarsDockArea _ultraExpandableGroupBoxPanel2_Toolbars_Dock_Area_Left;
    private Infragistics.Win.UltraWinToolbars.UltraToolbarsDockArea _ultraExpandableGroupBoxPanel2_Toolbars_Dock_Area_Right;
    private Infragistics.Win.UltraWinToolbars.UltraToolbarsDockArea _ultraExpandableGroupBoxPanel2_Toolbars_Dock_Area_Top;
    private Infragistics.Win.UltraWinToolbars.UltraToolbarsDockArea _ultraExpandableGroupBoxPanel2_Toolbars_Dock_Area_Bottom;
    private System.Data.DataColumn dataColumn5;
    private System.Data.DataColumn dataColumn6;
    private System.Data.DataColumn dataColumn7;
    private System.Windows.Forms.Splitter splitter1;
    private DataColumn dataColumn8;
    private Infragistics.Win.Misc.UltraExpandableGroupBox ultraExpandableGroupBox1;
    private Infragistics.Win.Misc.UltraExpandableGroupBoxPanel ultraExpandableGroupBoxPanel1;
    private Panel panel1;
    private ComboBox comboBox1;
    private Infragistics.Win.UltraWinEditors.UltraCheckEditor ultraCheckEditor5;
    private Infragistics.Win.UltraWinEditors.UltraCheckEditor ultraCheckEditor4;
    private TextBox textBox4;
    private Infragistics.Win.UltraWinEditors.UltraCheckEditor ultraCheckEditor3;
    private TextBox textBox3;
    private Infragistics.Win.UltraWinEditors.UltraCheckEditor ultraCheckEditor2;
    private TextBox textBox2;
    private Infragistics.Win.UltraWinEditors.UltraCheckEditor ultraCheckEditor1;
    private TextBox textBox1;
    private Infragistics.Win.UltraWinToolbars.UltraToolbarsDockArea _FrmBase_Toolbars_Dock_Area_Left;
    private Infragistics.Win.UltraWinToolbars.UltraToolbarsDockArea _FrmBase_Toolbars_Dock_Area_Right;
    private Infragistics.Win.UltraWinToolbars.UltraToolbarsDockArea _FrmBase_Toolbars_Dock_Area_Top;
    private Infragistics.Win.UltraWinToolbars.UltraToolbarsDockArea _FrmBase_Toolbars_Dock_Area_Bottom;
    private UltraGrid ultraGrid1;
    private System.ComponentModel.IContainer components;
    private DataColumn dataColumn9;
    private DataColumn dataColumn10;
    private Infragistics.Win.UltraWinToolbars.UltraToolbarsManager ultraToolbarsManager3;
    private DataSet dstToolBar;
    private DataTable Toolbar;
    private DataColumn KEY_;
    private DataColumn CATEGORY;
    private DataColumn CAPTION;
    private DataColumn TYPE;
    private DataColumn PARENTMENU;
    private DataColumn SETINFO;
    private DataColumn ROLEID;
    private Infragistics.Win.Misc.UltraButton btn_ImportAll;
    private Infragistics.Win.UltraWinEditors.UltraTextEditor txt_folder;

    DataTable dtMenuPos;
    #endregion

    public FrmPurviewSet()
    {
      //
      // Windows 窗体设计器支持所必需的
      //
      InitializeComponent();

      //
      // TODO: 在 InitializeComponent 调用后添加任何构造函数代码
      //
      UltraTree_DropHightLight_DrawFilter.Invalidate += new EventHandler(this.UltraTree_DropHightLight_DrawFilter_Invalidate);
      UltraTree_DropHightLight_DrawFilter.QueryStateAllowedForNode += new UltraTree_DropHightLight_DrawFilter_Class.QueryStateAllowedForNodeEventHandler(this.UltraTree_DropHightLight_DrawFilter_QueryStateAllowedForNode);
    }

    /// <summary>
    /// 清理所有正在使用的资源。
    /// </summary>
    protected override void Dispose(bool disposing)
    {
      if (disposing)
      {
        if (components != null)
        {
          components.Dispose();
        }
      }
      base.Dispose(disposing);
    }

    #region Windows 窗体设计器生成的代码
    /// <summary>
    /// 设计器支持所需的方法 - 不要使用代码编辑器修改
    /// 此方法的内容。
    /// </summary>
    private void InitializeComponent()
    {
        this.components = new System.ComponentModel.Container();
        Infragistics.Win.UltraWinToolbars.UltraToolbar ultraToolbar2 = new Infragistics.Win.UltraWinToolbars.UltraToolbar("UltraToolbar1");
        Infragistics.Win.UltraWinToolbars.ButtonTool buttonTool25 = new Infragistics.Win.UltraWinToolbars.ButtonTool("query");
        Infragistics.Win.UltraWinToolbars.ButtonTool buttonTool26 = new Infragistics.Win.UltraWinToolbars.ButtonTool("add");
        Infragistics.Win.UltraWinToolbars.ButtonTool buttonTool27 = new Infragistics.Win.UltraWinToolbars.ButtonTool("del");
        Infragistics.Win.UltraWinToolbars.ButtonTool buttonTool28 = new Infragistics.Win.UltraWinToolbars.ButtonTool("edit");
        Infragistics.Win.UltraWinToolbars.ButtonTool buttonTool29 = new Infragistics.Win.UltraWinToolbars.ButtonTool("close");
        Infragistics.Win.UltraWinToolbars.ButtonTool buttonTool30 = new Infragistics.Win.UltraWinToolbars.ButtonTool("add");
        Infragistics.Win.UltraWinToolbars.ButtonTool buttonTool31 = new Infragistics.Win.UltraWinToolbars.ButtonTool("del");
        Infragistics.Win.UltraWinToolbars.ButtonTool buttonTool32 = new Infragistics.Win.UltraWinToolbars.ButtonTool("edit");
        Infragistics.Win.UltraWinToolbars.ButtonTool buttonTool33 = new Infragistics.Win.UltraWinToolbars.ButtonTool("close");
        Infragistics.Win.UltraWinToolbars.ButtonTool buttonTool34 = new Infragistics.Win.UltraWinToolbars.ButtonTool("query");
        Infragistics.Win.Appearance appearance11 = new Infragistics.Win.Appearance();
        Infragistics.Win.UltraWinGrid.UltraGridBand ultraGridBand2 = new Infragistics.Win.UltraWinGrid.UltraGridBand("Table1", -1);
        Infragistics.Win.UltraWinGrid.UltraGridColumn ultraGridColumn9 = new Infragistics.Win.UltraWinGrid.UltraGridColumn("ROLEID");
        Infragistics.Win.Appearance appearance12 = new Infragistics.Win.Appearance();
        Infragistics.Win.UltraWinGrid.UltraGridColumn ultraGridColumn10 = new Infragistics.Win.UltraWinGrid.UltraGridColumn("ROLENAME");
        Infragistics.Win.Appearance appearance13 = new Infragistics.Win.Appearance();
        Infragistics.Win.Appearance appearance14 = new Infragistics.Win.Appearance();
        Infragistics.Win.Appearance appearance15 = new Infragistics.Win.Appearance();
        Infragistics.Win.Appearance appearance16 = new Infragistics.Win.Appearance();
        Infragistics.Win.Appearance appearance17 = new Infragistics.Win.Appearance();
        Infragistics.Win.Appearance appearance18 = new Infragistics.Win.Appearance();
        Infragistics.Win.Appearance appearance19 = new Infragistics.Win.Appearance();
        Infragistics.Win.UltraWinTree.UltraTreeColumnSet ultraTreeColumnSet1 = new Infragistics.Win.UltraWinTree.UltraTreeColumnSet();
        Infragistics.Win.UltraWinToolbars.UltraToolbar ultraToolbar1 = new Infragistics.Win.UltraWinToolbars.UltraToolbar("UltraToolbar1");
        Infragistics.Win.UltraWinToolbars.ButtonTool buttonTool1 = new Infragistics.Win.UltraWinToolbars.ButtonTool("refresh");
        Infragistics.Win.UltraWinToolbars.ButtonTool buttonTool2 = new Infragistics.Win.UltraWinToolbars.ButtonTool("select");
        Infragistics.Win.UltraWinToolbars.ButtonTool buttonTool3 = new Infragistics.Win.UltraWinToolbars.ButtonTool("remove");
        Infragistics.Win.UltraWinToolbars.ButtonTool buttonTool4 = new Infragistics.Win.UltraWinToolbars.ButtonTool("clear");
        Infragistics.Win.UltraWinToolbars.ButtonTool buttonTool5 = new Infragistics.Win.UltraWinToolbars.ButtonTool("copy");
        Infragistics.Win.UltraWinToolbars.ButtonTool buttonTool6 = new Infragistics.Win.UltraWinToolbars.ButtonTool("plast");
        Infragistics.Win.UltraWinToolbars.ButtonTool buttonTool7 = new Infragistics.Win.UltraWinToolbars.ButtonTool("up");
        Infragistics.Win.UltraWinToolbars.ButtonTool buttonTool8 = new Infragistics.Win.UltraWinToolbars.ButtonTool("down");
        Infragistics.Win.UltraWinToolbars.ButtonTool buttonTool9 = new Infragistics.Win.UltraWinToolbars.ButtonTool("left");
        Infragistics.Win.UltraWinToolbars.ButtonTool buttonTool10 = new Infragistics.Win.UltraWinToolbars.ButtonTool("right");
        Infragistics.Win.UltraWinToolbars.ButtonTool buttonTool11 = new Infragistics.Win.UltraWinToolbars.ButtonTool("save");
        Infragistics.Win.UltraWinToolbars.ButtonTool buttonTool12 = new Infragistics.Win.UltraWinToolbars.ButtonTool("IMPORT");
        Infragistics.Win.UltraWinToolbars.ButtonTool buttonTool13 = new Infragistics.Win.UltraWinToolbars.ButtonTool("select");
        Infragistics.Win.UltraWinToolbars.ButtonTool buttonTool14 = new Infragistics.Win.UltraWinToolbars.ButtonTool("remove");
        Infragistics.Win.UltraWinToolbars.ButtonTool buttonTool15 = new Infragistics.Win.UltraWinToolbars.ButtonTool("save");
        Infragistics.Win.UltraWinToolbars.ButtonTool buttonTool16 = new Infragistics.Win.UltraWinToolbars.ButtonTool("copy");
        Infragistics.Win.UltraWinToolbars.ButtonTool buttonTool17 = new Infragistics.Win.UltraWinToolbars.ButtonTool("up");
        Infragistics.Win.UltraWinToolbars.ButtonTool buttonTool18 = new Infragistics.Win.UltraWinToolbars.ButtonTool("down");
        Infragistics.Win.UltraWinToolbars.ButtonTool buttonTool19 = new Infragistics.Win.UltraWinToolbars.ButtonTool("left");
        Infragistics.Win.UltraWinToolbars.ButtonTool buttonTool20 = new Infragistics.Win.UltraWinToolbars.ButtonTool("right");
        Infragistics.Win.UltraWinToolbars.ButtonTool buttonTool21 = new Infragistics.Win.UltraWinToolbars.ButtonTool("refresh");
        Infragistics.Win.UltraWinToolbars.ButtonTool buttonTool22 = new Infragistics.Win.UltraWinToolbars.ButtonTool("clear");
        Infragistics.Win.UltraWinToolbars.ButtonTool buttonTool23 = new Infragistics.Win.UltraWinToolbars.ButtonTool("plast");
        Infragistics.Win.UltraWinToolbars.ButtonTool buttonTool24 = new Infragistics.Win.UltraWinToolbars.ButtonTool("IMPORT");
        Infragistics.Win.Appearance appearance1 = new Infragistics.Win.Appearance();
        Infragistics.Win.UltraWinGrid.UltraGridBand ultraGridBand1 = new Infragistics.Win.UltraWinGrid.UltraGridBand("Table1", -1);
        Infragistics.Win.UltraWinGrid.UltraGridColumn ultraGridColumn1 = new Infragistics.Win.UltraWinGrid.UltraGridColumn("ID_");
        Infragistics.Win.UltraWinGrid.UltraGridColumn ultraGridColumn2 = new Infragistics.Win.UltraWinGrid.UltraGridColumn("KEY_");
        Infragistics.Win.UltraWinGrid.UltraGridColumn ultraGridColumn3 = new Infragistics.Win.UltraWinGrid.UltraGridColumn("CATEGORY");
        Infragistics.Win.Appearance appearance2 = new Infragistics.Win.Appearance();
        Infragistics.Win.UltraWinGrid.UltraGridColumn ultraGridColumn4 = new Infragistics.Win.UltraWinGrid.UltraGridColumn("CAPTION");
        Infragistics.Win.Appearance appearance3 = new Infragistics.Win.Appearance();
        Infragistics.Win.UltraWinGrid.UltraGridColumn ultraGridColumn5 = new Infragistics.Win.UltraWinGrid.UltraGridColumn("REMARK");
        Infragistics.Win.UltraWinGrid.UltraGridColumn ultraGridColumn6 = new Infragistics.Win.UltraWinGrid.UltraGridColumn("TYPE");
        Infragistics.Win.UltraWinGrid.UltraGridColumn ultraGridColumn7 = new Infragistics.Win.UltraWinGrid.UltraGridColumn("PARENTID");
        Infragistics.Win.UltraWinGrid.UltraGridColumn ultraGridColumn8 = new Infragistics.Win.UltraWinGrid.UltraGridColumn("XH");
        Infragistics.Win.Appearance appearance4 = new Infragistics.Win.Appearance();
        Infragistics.Win.Appearance appearance5 = new Infragistics.Win.Appearance();
        Infragistics.Win.Appearance appearance6 = new Infragistics.Win.Appearance();
        Infragistics.Win.Appearance appearance7 = new Infragistics.Win.Appearance();
        Infragistics.Win.Appearance appearance8 = new Infragistics.Win.Appearance();
        Infragistics.Win.Appearance appearance9 = new Infragistics.Win.Appearance();
        Infragistics.Win.Appearance appearance10 = new Infragistics.Win.Appearance();
        Infragistics.Win.UltraWinToolbars.ButtonTool buttonTool35 = new Infragistics.Win.UltraWinToolbars.ButtonTool("tlbtnUp");
        Infragistics.Win.UltraWinToolbars.ButtonTool buttonTool36 = new Infragistics.Win.UltraWinToolbars.ButtonTool("tlbtnDown");
        Infragistics.Win.UltraWinToolbars.ButtonTool buttonTool37 = new Infragistics.Win.UltraWinToolbars.ButtonTool("tlbtnLeft");
        Infragistics.Win.UltraWinToolbars.ButtonTool buttonTool38 = new Infragistics.Win.UltraWinToolbars.ButtonTool("tlbtnRight");
        Infragistics.Win.UltraWinToolbars.ButtonTool buttonTool39 = new Infragistics.Win.UltraWinToolbars.ButtonTool("tlbtnSave");
        Infragistics.Win.UltraWinToolbars.ButtonTool buttonTool40 = new Infragistics.Win.UltraWinToolbars.ButtonTool("tlbtnRefresh");
        this.dataSet1 = new System.Data.DataSet();
        this.dataTable1 = new System.Data.DataTable();
        this.dataColumn1 = new System.Data.DataColumn();
        this.dataColumn2 = new System.Data.DataColumn();
        this.dataColumn3 = new System.Data.DataColumn();
        this.dataColumn4 = new System.Data.DataColumn();
        this.dataColumn7 = new System.Data.DataColumn();
        this.dataColumn8 = new System.Data.DataColumn();
        this.dataColumn9 = new System.Data.DataColumn();
        this.dataColumn10 = new System.Data.DataColumn();
        this.ultraToolbarsManager1 = new Infragistics.Win.UltraWinToolbars.UltraToolbarsManager(this.components);
        this.ultraGrid2 = new Infragistics.Win.UltraWinGrid.UltraGrid();
        this.dataSet2 = new System.Data.DataSet();
        this.dataTable2 = new System.Data.DataTable();
        this.dataColumn5 = new System.Data.DataColumn();
        this.dataColumn6 = new System.Data.DataColumn();
        this.ultraTree1 = new Infragistics.Win.UltraWinTree.UltraTree();
        this.ultraExpandableGroupBox2 = new Infragistics.Win.Misc.UltraExpandableGroupBox();
        this.ultraExpandableGroupBoxPanel2 = new Infragistics.Win.Misc.UltraExpandableGroupBoxPanel();
        this.splitter1 = new System.Windows.Forms.Splitter();
        this._ultraExpandableGroupBoxPanel2_Toolbars_Dock_Area_Left = new Infragistics.Win.UltraWinToolbars.UltraToolbarsDockArea();
        this.ultraToolbarsManager2 = new Infragistics.Win.UltraWinToolbars.UltraToolbarsManager(this.components);
        this._ultraExpandableGroupBoxPanel2_Toolbars_Dock_Area_Right = new Infragistics.Win.UltraWinToolbars.UltraToolbarsDockArea();
        this._ultraExpandableGroupBoxPanel2_Toolbars_Dock_Area_Top = new Infragistics.Win.UltraWinToolbars.UltraToolbarsDockArea();
        this._ultraExpandableGroupBoxPanel2_Toolbars_Dock_Area_Bottom = new Infragistics.Win.UltraWinToolbars.UltraToolbarsDockArea();
        this.ultraExpandableGroupBox1 = new Infragistics.Win.Misc.UltraExpandableGroupBox();
        this.ultraExpandableGroupBoxPanel1 = new Infragistics.Win.Misc.UltraExpandableGroupBoxPanel();
        this.ultraGrid1 = new Infragistics.Win.UltraWinGrid.UltraGrid();
        this.panel1 = new System.Windows.Forms.Panel();
        this.txt_folder = new Infragistics.Win.UltraWinEditors.UltraTextEditor();
        this.btn_ImportAll = new Infragistics.Win.Misc.UltraButton();
        this.comboBox1 = new System.Windows.Forms.ComboBox();
        this.ultraCheckEditor5 = new Infragistics.Win.UltraWinEditors.UltraCheckEditor();
        this.ultraCheckEditor4 = new Infragistics.Win.UltraWinEditors.UltraCheckEditor();
        this.textBox4 = new System.Windows.Forms.TextBox();
        this.ultraCheckEditor3 = new Infragistics.Win.UltraWinEditors.UltraCheckEditor();
        this.textBox3 = new System.Windows.Forms.TextBox();
        this.ultraCheckEditor2 = new Infragistics.Win.UltraWinEditors.UltraCheckEditor();
        this.textBox2 = new System.Windows.Forms.TextBox();
        this.ultraCheckEditor1 = new Infragistics.Win.UltraWinEditors.UltraCheckEditor();
        this.textBox1 = new System.Windows.Forms.TextBox();
        this._FrmBase_Toolbars_Dock_Area_Left = new Infragistics.Win.UltraWinToolbars.UltraToolbarsDockArea();
        this._FrmBase_Toolbars_Dock_Area_Right = new Infragistics.Win.UltraWinToolbars.UltraToolbarsDockArea();
        this._FrmBase_Toolbars_Dock_Area_Top = new Infragistics.Win.UltraWinToolbars.UltraToolbarsDockArea();
        this._FrmBase_Toolbars_Dock_Area_Bottom = new Infragistics.Win.UltraWinToolbars.UltraToolbarsDockArea();
        this.ultraToolbarsManager3 = new Infragistics.Win.UltraWinToolbars.UltraToolbarsManager(this.components);
        this.dstToolBar = new System.Data.DataSet();
        this.Toolbar = new System.Data.DataTable();
        this.KEY_ = new System.Data.DataColumn();
        this.CATEGORY = new System.Data.DataColumn();
        this.CAPTION = new System.Data.DataColumn();
        this.TYPE = new System.Data.DataColumn();
        this.PARENTMENU = new System.Data.DataColumn();
        this.SETINFO = new System.Data.DataColumn();
        this.ROLEID = new System.Data.DataColumn();
        ((System.ComponentModel.ISupportInitialize)(this.dataSet1)).BeginInit();
        ((System.ComponentModel.ISupportInitialize)(this.dataTable1)).BeginInit();
        ((System.ComponentModel.ISupportInitialize)(this.ultraToolbarsManager1)).BeginInit();
        ((System.ComponentModel.ISupportInitialize)(this.ultraGrid2)).BeginInit();
        ((System.ComponentModel.ISupportInitialize)(this.dataSet2)).BeginInit();
        ((System.ComponentModel.ISupportInitialize)(this.dataTable2)).BeginInit();
        ((System.ComponentModel.ISupportInitialize)(this.ultraTree1)).BeginInit();
        ((System.ComponentModel.ISupportInitialize)(this.ultraExpandableGroupBox2)).BeginInit();
        this.ultraExpandableGroupBox2.SuspendLayout();
        this.ultraExpandableGroupBoxPanel2.SuspendLayout();
        ((System.ComponentModel.ISupportInitialize)(this.ultraToolbarsManager2)).BeginInit();
        ((System.ComponentModel.ISupportInitialize)(this.ultraExpandableGroupBox1)).BeginInit();
        this.ultraExpandableGroupBox1.SuspendLayout();
        this.ultraExpandableGroupBoxPanel1.SuspendLayout();
        ((System.ComponentModel.ISupportInitialize)(this.ultraGrid1)).BeginInit();
        this.panel1.SuspendLayout();
        ((System.ComponentModel.ISupportInitialize)(this.txt_folder)).BeginInit();
        ((System.ComponentModel.ISupportInitialize)(this.ultraToolbarsManager3)).BeginInit();
        ((System.ComponentModel.ISupportInitialize)(this.dstToolBar)).BeginInit();
        ((System.ComponentModel.ISupportInitialize)(this.Toolbar)).BeginInit();
        this.SuspendLayout();
        // 
        // dataSet1
        // 
        this.dataSet1.DataSetName = "NewDataSet";
        this.dataSet1.Locale = new System.Globalization.CultureInfo("zh-CN");
        this.dataSet1.Tables.AddRange(new System.Data.DataTable[] {
            this.dataTable1});
        // 
        // dataTable1
        // 
        this.dataTable1.Columns.AddRange(new System.Data.DataColumn[] {
            this.dataColumn1,
            this.dataColumn2,
            this.dataColumn3,
            this.dataColumn4,
            this.dataColumn7,
            this.dataColumn8,
            this.dataColumn9,
            this.dataColumn10});
        this.dataTable1.TableName = "Table1";
        // 
        // dataColumn1
        // 
        this.dataColumn1.ColumnName = "ID_";
        // 
        // dataColumn2
        // 
        this.dataColumn2.ColumnName = "KEY_";
        // 
        // dataColumn3
        // 
        this.dataColumn3.ColumnName = "CATEGORY";
        // 
        // dataColumn4
        // 
        this.dataColumn4.ColumnName = "CAPTION";
        // 
        // dataColumn7
        // 
        this.dataColumn7.ColumnName = "REMARK";
        // 
        // dataColumn8
        // 
        this.dataColumn8.ColumnName = "TYPE";
        // 
        // dataColumn9
        // 
        this.dataColumn9.ColumnName = "PARENTID";
        // 
        // dataColumn10
        // 
        this.dataColumn10.ColumnName = "XH";
        this.dataColumn10.DataType = typeof(decimal);
        // 
        // ultraToolbarsManager1
        // 
        this.ultraToolbarsManager1.DesignerFlags = 1;
        this.ultraToolbarsManager1.DockWithinContainer = this;
        this.ultraToolbarsManager1.LockToolbars = true;
        this.ultraToolbarsManager1.MdiMergeable = false;
        this.ultraToolbarsManager1.ShowQuickCustomizeButton = false;
        this.ultraToolbarsManager1.Style = Infragistics.Win.UltraWinToolbars.ToolbarStyle.VisualStudio2005;
        ultraToolbar2.DockedColumn = 0;
        ultraToolbar2.DockedRow = 0;
        ultraToolbar2.Text = "UltraToolbar1";
        buttonTool26.InstanceProps.IsFirstInGroup = true;
        buttonTool27.InstanceProps.IsFirstInGroup = true;
        buttonTool28.InstanceProps.IsFirstInGroup = true;
        buttonTool29.InstanceProps.IsFirstInGroup = true;
        ultraToolbar2.Tools.AddRange(new Infragistics.Win.UltraWinToolbars.ToolBase[] {
            buttonTool25,
            buttonTool26,
            buttonTool27,
            buttonTool28,
            buttonTool29});
        this.ultraToolbarsManager1.Toolbars.AddRange(new Infragistics.Win.UltraWinToolbars.UltraToolbar[] {
            ultraToolbar2});
        buttonTool30.SharedProps.Caption = "新增";
        buttonTool30.SharedProps.DisplayStyle = Infragistics.Win.UltraWinToolbars.ToolDisplayStyle.ImageAndText;
        buttonTool31.SharedProps.Caption = "删除";
        buttonTool31.SharedProps.DisplayStyle = Infragistics.Win.UltraWinToolbars.ToolDisplayStyle.ImageAndText;
        buttonTool32.SharedProps.Caption = "修改";
        buttonTool32.SharedProps.DisplayStyle = Infragistics.Win.UltraWinToolbars.ToolDisplayStyle.ImageAndText;
        buttonTool33.SharedProps.Caption = "关闭";
        buttonTool33.SharedProps.DisplayStyle = Infragistics.Win.UltraWinToolbars.ToolDisplayStyle.ImageAndText;
        buttonTool34.SharedProps.Caption = "查询";
        buttonTool34.SharedProps.DisplayStyle = Infragistics.Win.UltraWinToolbars.ToolDisplayStyle.ImageAndText;
        this.ultraToolbarsManager1.Tools.AddRange(new Infragistics.Win.UltraWinToolbars.ToolBase[] {
            buttonTool30,
            buttonTool31,
            buttonTool32,
            buttonTool33,
            buttonTool34});
        this.ultraToolbarsManager1.ToolClick += new Infragistics.Win.UltraWinToolbars.ToolClickEventHandler(this.ultraToolbarsManager1_ToolClick);
        // 
        // ultraGrid2
        // 
        this.ultraGrid2.DataSource = this.dataSet2;
        appearance11.BackColor = System.Drawing.SystemColors.Window;
        appearance11.BorderColor = System.Drawing.SystemColors.InactiveCaption;
        this.ultraGrid2.DisplayLayout.Appearance = appearance11;
        appearance12.BackColor = System.Drawing.Color.FromArgb(((int)(((byte)(255)))), ((int)(((byte)(255)))), ((int)(((byte)(192)))));
        ultraGridColumn9.CellAppearance = appearance12;
        ultraGridColumn9.Header.Caption = "角色名";
        ultraGridColumn9.Header.VisiblePosition = 0;
        ultraGridColumn9.Hidden = true;
        ultraGridColumn9.Width = 150;
        ultraGridColumn10.Header.Caption = "角色名";
        ultraGridColumn10.Header.VisiblePosition = 1;
        ultraGridColumn10.Width = 210;
        ultraGridBand2.Columns.AddRange(new object[] {
            ultraGridColumn9,
            ultraGridColumn10});
        this.ultraGrid2.DisplayLayout.BandsSerializer.Add(ultraGridBand2);
        this.ultraGrid2.DisplayLayout.BorderStyle = Infragistics.Win.UIElementBorderStyle.Solid;
        this.ultraGrid2.DisplayLayout.CaptionVisible = Infragistics.Win.DefaultableBoolean.False;
        appearance13.BackColor = System.Drawing.SystemColors.ActiveBorder;
        appearance13.BackColor2 = System.Drawing.SystemColors.ControlDark;
        appearance13.BackGradientStyle = Infragistics.Win.GradientStyle.Vertical;
        appearance13.BorderColor = System.Drawing.SystemColors.Window;
        this.ultraGrid2.DisplayLayout.GroupByBox.Appearance = appearance13;
        appearance14.ForeColor = System.Drawing.SystemColors.GrayText;
        this.ultraGrid2.DisplayLayout.GroupByBox.BandLabelAppearance = appearance14;
        this.ultraGrid2.DisplayLayout.GroupByBox.BorderStyle = Infragistics.Win.UIElementBorderStyle.Solid;
        this.ultraGrid2.DisplayLayout.GroupByBox.Hidden = true;
        appearance15.BackColor = System.Drawing.SystemColors.ControlLightLight;
        appearance15.BackColor2 = System.Drawing.SystemColors.Control;
        appearance15.BackGradientStyle = Infragistics.Win.GradientStyle.Horizontal;
        appearance15.ForeColor = System.Drawing.SystemColors.GrayText;
        this.ultraGrid2.DisplayLayout.GroupByBox.PromptAppearance = appearance15;
        this.ultraGrid2.DisplayLayout.MaxColScrollRegions = 1;
        this.ultraGrid2.DisplayLayout.MaxRowScrollRegions = 1;
        appearance16.BackColor = System.Drawing.SystemColors.Window;
        appearance16.ForeColor = System.Drawing.SystemColors.ControlText;
        this.ultraGrid2.DisplayLayout.Override.ActiveCellAppearance = appearance16;
        appearance17.BackColor = System.Drawing.SystemColors.Highlight;
        appearance17.ForeColor = System.Drawing.SystemColors.HighlightText;
        this.ultraGrid2.DisplayLayout.Override.ActiveRowAppearance = appearance17;
        this.ultraGrid2.DisplayLayout.Override.AllowRowFiltering = Infragistics.Win.DefaultableBoolean.True;
        this.ultraGrid2.DisplayLayout.Override.AllowUpdate = Infragistics.Win.DefaultableBoolean.False;
        this.ultraGrid2.DisplayLayout.Override.CellClickAction = Infragistics.Win.UltraWinGrid.CellClickAction.EditAndSelectText;
        this.ultraGrid2.DisplayLayout.Override.CellPadding = 0;
        appearance18.BackColor = System.Drawing.Color.LightSteelBlue;
        appearance18.TextHAlign = Infragistics.Win.HAlign.Center;
        this.ultraGrid2.DisplayLayout.Override.HeaderAppearance = appearance18;
        this.ultraGrid2.DisplayLayout.Override.HeaderStyle = Infragistics.Win.HeaderStyle.Standard;
        this.ultraGrid2.DisplayLayout.Override.MinRowHeight = 21;
        appearance19.BackColor = System.Drawing.Color.LightSteelBlue;
        this.ultraGrid2.DisplayLayout.Override.RowSelectorAppearance = appearance19;
        this.ultraGrid2.DisplayLayout.Override.RowSelectorHeaderStyle = Infragistics.Win.UltraWinGrid.RowSelectorHeaderStyle.SeparateElement;
        this.ultraGrid2.DisplayLayout.ScrollBounds = Infragistics.Win.UltraWinGrid.ScrollBounds.ScrollToFill;
        this.ultraGrid2.DisplayLayout.ScrollStyle = Infragistics.Win.UltraWinGrid.ScrollStyle.Immediate;
        this.ultraGrid2.DisplayLayout.ViewStyleBand = Infragistics.Win.UltraWinGrid.ViewStyleBand.OutlookGroupBy;
        this.ultraGrid2.Dock = System.Windows.Forms.DockStyle.Left;
        this.ultraGrid2.Font = new System.Drawing.Font("宋体", 9F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((byte)(134)));
        this.ultraGrid2.Location = new System.Drawing.Point(0, 50);
        this.ultraGrid2.Name = "ultraGrid2";
        this.ultraGrid2.Size = new System.Drawing.Size(248, 221);
        this.ultraGrid2.TabIndex = 5;
        this.ultraGrid2.Text = "ultraGrid2";
        this.ultraGrid2.AfterRowActivate += new System.EventHandler(this.ultraGrid2_AfterRowActivate);
        // 
        // dataSet2
        // 
        this.dataSet2.DataSetName = "NewDataSet";
        this.dataSet2.Locale = new System.Globalization.CultureInfo("zh-CN");
        this.dataSet2.Tables.AddRange(new System.Data.DataTable[] {
            this.dataTable2});
        // 
        // dataTable2
        // 
        this.dataTable2.Columns.AddRange(new System.Data.DataColumn[] {
            this.dataColumn5,
            this.dataColumn6});
        this.dataTable2.TableName = "Table1";
        // 
        // dataColumn5
        // 
        this.dataColumn5.ColumnName = "ROLEID";
        // 
        // dataColumn6
        // 
        this.dataColumn6.ColumnName = "ROLENAME";
        // 
        // ultraTree1
        // 
        this.ultraTree1.ColumnSettings.RootColumnSet = ultraTreeColumnSet1;
        this.ultraTree1.Dock = System.Windows.Forms.DockStyle.Fill;
        this.ultraTree1.HideSelection = false;
        this.ultraTree1.Location = new System.Drawing.Point(251, 50);
        this.ultraTree1.Name = "ultraTree1";
        this.ultraTree1.Size = new System.Drawing.Size(755, 221);
        this.ultraTree1.TabIndex = 6;
        // 
        // ultraExpandableGroupBox2
        // 
        this.ultraExpandableGroupBox2.Controls.Add(this.ultraExpandableGroupBoxPanel2);
        this.ultraExpandableGroupBox2.Dock = System.Windows.Forms.DockStyle.Bottom;
        this.ultraExpandableGroupBox2.ExpandedSize = new System.Drawing.Size(1012, 293);
        this.ultraExpandableGroupBox2.Location = new System.Drawing.Point(0, 440);
        this.ultraExpandableGroupBox2.Name = "ultraExpandableGroupBox2";
        this.ultraExpandableGroupBox2.Size = new System.Drawing.Size(1012, 293);
        this.ultraExpandableGroupBox2.SupportThemes = false;
        this.ultraExpandableGroupBox2.TabIndex = 7;
        this.ultraExpandableGroupBox2.Text = "权限设置";
        this.ultraExpandableGroupBox2.ViewStyle = Infragistics.Win.Misc.GroupBoxViewStyle.Office2000;
        // 
        // ultraExpandableGroupBoxPanel2
        // 
        this.ultraExpandableGroupBoxPanel2.Controls.Add(this.ultraTree1);
        this.ultraExpandableGroupBoxPanel2.Controls.Add(this.splitter1);
        this.ultraExpandableGroupBoxPanel2.Controls.Add(this.ultraGrid2);
        this.ultraExpandableGroupBoxPanel2.Controls.Add(this._ultraExpandableGroupBoxPanel2_Toolbars_Dock_Area_Left);
        this.ultraExpandableGroupBoxPanel2.Controls.Add(this._ultraExpandableGroupBoxPanel2_Toolbars_Dock_Area_Right);
        this.ultraExpandableGroupBoxPanel2.Controls.Add(this._ultraExpandableGroupBoxPanel2_Toolbars_Dock_Area_Top);
        this.ultraExpandableGroupBoxPanel2.Controls.Add(this._ultraExpandableGroupBoxPanel2_Toolbars_Dock_Area_Bottom);
        this.ultraExpandableGroupBoxPanel2.Dock = System.Windows.Forms.DockStyle.Fill;
        this.ultraExpandableGroupBoxPanel2.Location = new System.Drawing.Point(3, 19);
        this.ultraExpandableGroupBoxPanel2.Name = "ultraExpandableGroupBoxPanel2";
        this.ultraExpandableGroupBoxPanel2.Size = new System.Drawing.Size(1006, 271);
        this.ultraExpandableGroupBoxPanel2.TabIndex = 0;
        // 
        // splitter1
        // 
        this.splitter1.Location = new System.Drawing.Point(248, 50);
        this.splitter1.Name = "splitter1";
        this.splitter1.Size = new System.Drawing.Size(3, 221);
        this.splitter1.TabIndex = 11;
        this.splitter1.TabStop = false;
        // 
        // _ultraExpandableGroupBoxPanel2_Toolbars_Dock_Area_Left
        // 
        this._ultraExpandableGroupBoxPanel2_Toolbars_Dock_Area_Left.AccessibleRole = System.Windows.Forms.AccessibleRole.Grouping;
        this._ultraExpandableGroupBoxPanel2_Toolbars_Dock_Area_Left.BackColor = System.Drawing.Color.FromArgb(((int)(((byte)(229)))), ((int)(((byte)(229)))), ((int)(((byte)(215)))));
        this._ultraExpandableGroupBoxPanel2_Toolbars_Dock_Area_Left.DockedPosition = Infragistics.Win.UltraWinToolbars.DockedPosition.Left;
        this._ultraExpandableGroupBoxPanel2_Toolbars_Dock_Area_Left.ForeColor = System.Drawing.SystemColors.ControlText;
        this._ultraExpandableGroupBoxPanel2_Toolbars_Dock_Area_Left.Location = new System.Drawing.Point(0, 50);
        this._ultraExpandableGroupBoxPanel2_Toolbars_Dock_Area_Left.Name = "_ultraExpandableGroupBoxPanel2_Toolbars_Dock_Area_Left";
        this._ultraExpandableGroupBoxPanel2_Toolbars_Dock_Area_Left.Size = new System.Drawing.Size(0, 221);
        this._ultraExpandableGroupBoxPanel2_Toolbars_Dock_Area_Left.ToolbarsManager = this.ultraToolbarsManager2;
        // 
        // ultraToolbarsManager2
        // 
        this.ultraToolbarsManager2.DesignerFlags = 1;
        this.ultraToolbarsManager2.DockWithinContainer = this.ultraExpandableGroupBoxPanel2;
        this.ultraToolbarsManager2.LockToolbars = true;
        this.ultraToolbarsManager2.MdiMergeable = false;
        this.ultraToolbarsManager2.ShowFullMenusDelay = 500;
        this.ultraToolbarsManager2.ShowQuickCustomizeButton = false;
        this.ultraToolbarsManager2.Style = Infragistics.Win.UltraWinToolbars.ToolbarStyle.VisualStudio2005;
        ultraToolbar1.DockedColumn = 0;
        ultraToolbar1.DockedRow = 0;
        ultraToolbar1.Text = "UltraToolbar1";
        buttonTool2.InstanceProps.IsFirstInGroup = true;
        buttonTool4.InstanceProps.IsFirstInGroup = true;
        buttonTool5.InstanceProps.IsFirstInGroup = true;
        buttonTool7.InstanceProps.IsFirstInGroup = true;
        buttonTool11.InstanceProps.IsFirstInGroup = true;
        buttonTool12.InstanceProps.IsFirstInGroup = true;
        ultraToolbar1.Tools.AddRange(new Infragistics.Win.UltraWinToolbars.ToolBase[] {
            buttonTool1,
            buttonTool2,
            buttonTool3,
            buttonTool4,
            buttonTool5,
            buttonTool6,
            buttonTool7,
            buttonTool8,
            buttonTool9,
            buttonTool10,
            buttonTool11,
            buttonTool12});
        this.ultraToolbarsManager2.Toolbars.AddRange(new Infragistics.Win.UltraWinToolbars.UltraToolbar[] {
            ultraToolbar1});
        buttonTool13.SharedProps.Caption = "选取";
        buttonTool13.SharedProps.DisplayStyle = Infragistics.Win.UltraWinToolbars.ToolDisplayStyle.ImageAndText;
        buttonTool14.SharedProps.Caption = "移除";
        buttonTool14.SharedProps.DisplayStyle = Infragistics.Win.UltraWinToolbars.ToolDisplayStyle.ImageAndText;
        buttonTool15.SharedProps.Caption = "保存";
        buttonTool15.SharedProps.DisplayStyle = Infragistics.Win.UltraWinToolbars.ToolDisplayStyle.ImageAndText;
        buttonTool16.SharedProps.Caption = "复制";
        buttonTool16.SharedProps.DisplayStyle = Infragistics.Win.UltraWinToolbars.ToolDisplayStyle.ImageAndText;
        buttonTool17.SharedProps.Caption = "上移";
        buttonTool17.SharedProps.DisplayStyle = Infragistics.Win.UltraWinToolbars.ToolDisplayStyle.ImageAndText;
        buttonTool18.SharedProps.Caption = "下移";
        buttonTool18.SharedProps.DisplayStyle = Infragistics.Win.UltraWinToolbars.ToolDisplayStyle.ImageAndText;
        buttonTool19.SharedProps.Caption = "左移";
        buttonTool19.SharedProps.DisplayStyle = Infragistics.Win.UltraWinToolbars.ToolDisplayStyle.ImageAndText;
        buttonTool20.SharedProps.Caption = "右移";
        buttonTool20.SharedProps.DisplayStyle = Infragistics.Win.UltraWinToolbars.ToolDisplayStyle.ImageAndText;
        buttonTool21.SharedProps.Caption = "刷新";
        buttonTool21.SharedProps.DisplayStyle = Infragistics.Win.UltraWinToolbars.ToolDisplayStyle.ImageAndText;
        buttonTool22.SharedProps.Caption = "清空";
        buttonTool22.SharedProps.DisplayStyle = Infragistics.Win.UltraWinToolbars.ToolDisplayStyle.ImageAndText;
        buttonTool23.SharedProps.Caption = "粘贴";
        buttonTool23.SharedProps.DisplayStyle = Infragistics.Win.UltraWinToolbars.ToolDisplayStyle.ImageAndText;
        buttonTool24.SharedProps.Caption = "导入";
        buttonTool24.SharedProps.DisplayStyle = Infragistics.Win.UltraWinToolbars.ToolDisplayStyle.TextOnlyAlways;
        this.ultraToolbarsManager2.Tools.AddRange(new Infragistics.Win.UltraWinToolbars.ToolBase[] {
            buttonTool13,
            buttonTool14,
            buttonTool15,
            buttonTool16,
            buttonTool17,
            buttonTool18,
            buttonTool19,
            buttonTool20,
            buttonTool21,
            buttonTool22,
            buttonTool23,
            buttonTool24});
        this.ultraToolbarsManager2.ToolClick += new Infragistics.Win.UltraWinToolbars.ToolClickEventHandler(this.ultraToolbarsManager2_ToolClick);
        // 
        // _ultraExpandableGroupBoxPanel2_Toolbars_Dock_Area_Right
        // 
        this._ultraExpandableGroupBoxPanel2_Toolbars_Dock_Area_Right.AccessibleRole = System.Windows.Forms.AccessibleRole.Grouping;
        this._ultraExpandableGroupBoxPanel2_Toolbars_Dock_Area_Right.BackColor = System.Drawing.Color.FromArgb(((int)(((byte)(229)))), ((int)(((byte)(229)))), ((int)(((byte)(215)))));
        this._ultraExpandableGroupBoxPanel2_Toolbars_Dock_Area_Right.DockedPosition = Infragistics.Win.UltraWinToolbars.DockedPosition.Right;
        this._ultraExpandableGroupBoxPanel2_Toolbars_Dock_Area_Right.ForeColor = System.Drawing.SystemColors.ControlText;
        this._ultraExpandableGroupBoxPanel2_Toolbars_Dock_Area_Right.Location = new System.Drawing.Point(1006, 50);
        this._ultraExpandableGroupBoxPanel2_Toolbars_Dock_Area_Right.Name = "_ultraExpandableGroupBoxPanel2_Toolbars_Dock_Area_Right";
        this._ultraExpandableGroupBoxPanel2_Toolbars_Dock_Area_Right.Size = new System.Drawing.Size(0, 221);
        this._ultraExpandableGroupBoxPanel2_Toolbars_Dock_Area_Right.ToolbarsManager = this.ultraToolbarsManager2;
        // 
        // _ultraExpandableGroupBoxPanel2_Toolbars_Dock_Area_Top
        // 
        this._ultraExpandableGroupBoxPanel2_Toolbars_Dock_Area_Top.AccessibleRole = System.Windows.Forms.AccessibleRole.Grouping;
        this._ultraExpandableGroupBoxPanel2_Toolbars_Dock_Area_Top.BackColor = System.Drawing.Color.FromArgb(((int)(((byte)(229)))), ((int)(((byte)(229)))), ((int)(((byte)(215)))));
        this._ultraExpandableGroupBoxPanel2_Toolbars_Dock_Area_Top.DockedPosition = Infragistics.Win.UltraWinToolbars.DockedPosition.Top;
        this._ultraExpandableGroupBoxPanel2_Toolbars_Dock_Area_Top.ForeColor = System.Drawing.SystemColors.ControlText;
        this._ultraExpandableGroupBoxPanel2_Toolbars_Dock_Area_Top.Location = new System.Drawing.Point(0, 0);
        this._ultraExpandableGroupBoxPanel2_Toolbars_Dock_Area_Top.Name = "_ultraExpandableGroupBoxPanel2_Toolbars_Dock_Area_Top";
        this._ultraExpandableGroupBoxPanel2_Toolbars_Dock_Area_Top.Size = new System.Drawing.Size(1006, 50);
        this._ultraExpandableGroupBoxPanel2_Toolbars_Dock_Area_Top.ToolbarsManager = this.ultraToolbarsManager2;
        // 
        // _ultraExpandableGroupBoxPanel2_Toolbars_Dock_Area_Bottom
        // 
        this._ultraExpandableGroupBoxPanel2_Toolbars_Dock_Area_Bottom.AccessibleRole = System.Windows.Forms.AccessibleRole.Grouping;
        this._ultraExpandableGroupBoxPanel2_Toolbars_Dock_Area_Bottom.BackColor = System.Drawing.Color.FromArgb(((int)(((byte)(229)))), ((int)(((byte)(229)))), ((int)(((byte)(215)))));
        this._ultraExpandableGroupBoxPanel2_Toolbars_Dock_Area_Bottom.DockedPosition = Infragistics.Win.UltraWinToolbars.DockedPosition.Bottom;
        this._ultraExpandableGroupBoxPanel2_Toolbars_Dock_Area_Bottom.ForeColor = System.Drawing.SystemColors.ControlText;
        this._ultraExpandableGroupBoxPanel2_Toolbars_Dock_Area_Bottom.Location = new System.Drawing.Point(0, 271);
        this._ultraExpandableGroupBoxPanel2_Toolbars_Dock_Area_Bottom.Name = "_ultraExpandableGroupBoxPanel2_Toolbars_Dock_Area_Bottom";
        this._ultraExpandableGroupBoxPanel2_Toolbars_Dock_Area_Bottom.Size = new System.Drawing.Size(1006, 0);
        this._ultraExpandableGroupBoxPanel2_Toolbars_Dock_Area_Bottom.ToolbarsManager = this.ultraToolbarsManager2;
        // 
        // ultraExpandableGroupBox1
        // 
        this.ultraExpandableGroupBox1.Controls.Add(this.ultraExpandableGroupBoxPanel1);
        this.ultraExpandableGroupBox1.Dock = System.Windows.Forms.DockStyle.Fill;
        this.ultraExpandableGroupBox1.ExpandedSize = new System.Drawing.Size(1012, 416);
        this.ultraExpandableGroupBox1.Location = new System.Drawing.Point(0, 25);
        this.ultraExpandableGroupBox1.Name = "ultraExpandableGroupBox1";
        this.ultraExpandableGroupBox1.Size = new System.Drawing.Size(1012, 415);
        this.ultraExpandableGroupBox1.SupportThemes = false;
        this.ultraExpandableGroupBox1.TabIndex = 8;
        this.ultraExpandableGroupBox1.Text = "菜单信息设置";
        this.ultraExpandableGroupBox1.ViewStyle = Infragistics.Win.Misc.GroupBoxViewStyle.Office2000;
        // 
        // ultraExpandableGroupBoxPanel1
        // 
        this.ultraExpandableGroupBoxPanel1.Controls.Add(this.ultraGrid1);
        this.ultraExpandableGroupBoxPanel1.Controls.Add(this.panel1);
        this.ultraExpandableGroupBoxPanel1.Dock = System.Windows.Forms.DockStyle.Fill;
        this.ultraExpandableGroupBoxPanel1.Location = new System.Drawing.Point(3, 19);
        this.ultraExpandableGroupBoxPanel1.Name = "ultraExpandableGroupBoxPanel1";
        this.ultraExpandableGroupBoxPanel1.Size = new System.Drawing.Size(1006, 393);
        this.ultraExpandableGroupBoxPanel1.TabIndex = 0;
        // 
        // ultraGrid1
        // 
        this.ultraGrid1.DataSource = this.dataSet1;
        appearance1.BackColor = System.Drawing.SystemColors.Window;
        appearance1.BorderColor = System.Drawing.SystemColors.InactiveCaption;
        this.ultraGrid1.DisplayLayout.Appearance = appearance1;
        ultraGridColumn1.CellActivation = Infragistics.Win.UltraWinGrid.Activation.NoEdit;
        ultraGridColumn1.Header.VisiblePosition = 0;
        ultraGridColumn1.Hidden = true;
        ultraGridColumn2.CellActivation = Infragistics.Win.UltraWinGrid.Activation.NoEdit;
        ultraGridColumn2.Header.Caption = "键值";
        ultraGridColumn2.Header.VisiblePosition = 2;
        ultraGridColumn2.Width = 300;
        ultraGridColumn3.CellActivation = Infragistics.Win.UltraWinGrid.Activation.NoEdit;
        appearance2.BackColor = System.Drawing.Color.FromArgb(((int)(((byte)(255)))), ((int)(((byte)(255)))), ((int)(((byte)(192)))));
        ultraGridColumn3.CellAppearance = appearance2;
        ultraGridColumn3.Header.Caption = "组名";
        ultraGridColumn3.Header.VisiblePosition = 3;
        ultraGridColumn3.Width = 200;
        ultraGridColumn4.CellActivation = Infragistics.Win.UltraWinGrid.Activation.NoEdit;
        appearance3.BackColor = System.Drawing.Color.FromArgb(((int)(((byte)(255)))), ((int)(((byte)(255)))), ((int)(((byte)(192)))));
        ultraGridColumn4.CellAppearance = appearance3;
        ultraGridColumn4.Header.Caption = "菜单名";
        ultraGridColumn4.Header.VisiblePosition = 1;
        ultraGridColumn4.Width = 200;
        ultraGridColumn5.CellActivation = Infragistics.Win.UltraWinGrid.Activation.NoEdit;
        ultraGridColumn5.Header.Caption = "备注";
        ultraGridColumn5.Header.VisiblePosition = 5;
        ultraGridColumn5.Width = 150;
        ultraGridColumn6.CellActivation = Infragistics.Win.UltraWinGrid.Activation.NoEdit;
        ultraGridColumn6.Header.Caption = "类型";
        ultraGridColumn6.Header.VisiblePosition = 4;
        ultraGridColumn7.Header.VisiblePosition = 6;
        ultraGridColumn7.Hidden = true;
        ultraGridColumn8.Header.VisiblePosition = 7;
        ultraGridColumn8.Hidden = true;
        ultraGridBand1.Columns.AddRange(new object[] {
            ultraGridColumn1,
            ultraGridColumn2,
            ultraGridColumn3,
            ultraGridColumn4,
            ultraGridColumn5,
            ultraGridColumn6,
            ultraGridColumn7,
            ultraGridColumn8});
        this.ultraGrid1.DisplayLayout.BandsSerializer.Add(ultraGridBand1);
        this.ultraGrid1.DisplayLayout.BorderStyle = Infragistics.Win.UIElementBorderStyle.Solid;
        this.ultraGrid1.DisplayLayout.CaptionVisible = Infragistics.Win.DefaultableBoolean.False;
        appearance4.BackColor = System.Drawing.SystemColors.ActiveBorder;
        appearance4.BackColor2 = System.Drawing.SystemColors.ControlDark;
        appearance4.BackGradientStyle = Infragistics.Win.GradientStyle.Vertical;
        appearance4.BorderColor = System.Drawing.SystemColors.Window;
        this.ultraGrid1.DisplayLayout.GroupByBox.Appearance = appearance4;
        appearance5.ForeColor = System.Drawing.SystemColors.GrayText;
        this.ultraGrid1.DisplayLayout.GroupByBox.BandLabelAppearance = appearance5;
        this.ultraGrid1.DisplayLayout.GroupByBox.BorderStyle = Infragistics.Win.UIElementBorderStyle.Solid;
        this.ultraGrid1.DisplayLayout.GroupByBox.Hidden = true;
        appearance6.BackColor = System.Drawing.SystemColors.ControlLightLight;
        appearance6.BackColor2 = System.Drawing.SystemColors.Control;
        appearance6.BackGradientStyle = Infragistics.Win.GradientStyle.Horizontal;
        appearance6.ForeColor = System.Drawing.SystemColors.GrayText;
        this.ultraGrid1.DisplayLayout.GroupByBox.PromptAppearance = appearance6;
        this.ultraGrid1.DisplayLayout.MaxColScrollRegions = 1;
        this.ultraGrid1.DisplayLayout.MaxRowScrollRegions = 1;
        appearance7.BackColor = System.Drawing.SystemColors.Window;
        appearance7.ForeColor = System.Drawing.SystemColors.ControlText;
        this.ultraGrid1.DisplayLayout.Override.ActiveCellAppearance = appearance7;
        appearance8.BackColor = System.Drawing.SystemColors.Highlight;
        appearance8.ForeColor = System.Drawing.SystemColors.HighlightText;
        this.ultraGrid1.DisplayLayout.Override.ActiveRowAppearance = appearance8;
        this.ultraGrid1.DisplayLayout.Override.AllowRowFiltering = Infragistics.Win.DefaultableBoolean.True;
        this.ultraGrid1.DisplayLayout.Override.AllowUpdate = Infragistics.Win.DefaultableBoolean.False;
        this.ultraGrid1.DisplayLayout.Override.CellClickAction = Infragistics.Win.UltraWinGrid.CellClickAction.EditAndSelectText;
        this.ultraGrid1.DisplayLayout.Override.CellPadding = 0;
        appearance9.BackColor = System.Drawing.Color.LightSteelBlue;
        appearance9.TextHAlign = Infragistics.Win.HAlign.Center;
        this.ultraGrid1.DisplayLayout.Override.HeaderAppearance = appearance9;
        this.ultraGrid1.DisplayLayout.Override.HeaderStyle = Infragistics.Win.HeaderStyle.Standard;
        this.ultraGrid1.DisplayLayout.Override.MinRowHeight = 21;
        appearance10.BackColor = System.Drawing.Color.LightSteelBlue;
        this.ultraGrid1.DisplayLayout.Override.RowSelectorAppearance = appearance10;
        this.ultraGrid1.DisplayLayout.Override.RowSelectorHeaderStyle = Infragistics.Win.UltraWinGrid.RowSelectorHeaderStyle.SeparateElement;
        this.ultraGrid1.DisplayLayout.ScrollBounds = Infragistics.Win.UltraWinGrid.ScrollBounds.ScrollToFill;
        this.ultraGrid1.DisplayLayout.ScrollStyle = Infragistics.Win.UltraWinGrid.ScrollStyle.Immediate;
        this.ultraGrid1.DisplayLayout.ViewStyleBand = Infragistics.Win.UltraWinGrid.ViewStyleBand.OutlookGroupBy;
        this.ultraGrid1.Dock = System.Windows.Forms.DockStyle.Fill;
        this.ultraGrid1.Font = new System.Drawing.Font("宋体", 9F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((byte)(134)));
        this.ultraGrid1.Location = new System.Drawing.Point(0, 64);
        this.ultraGrid1.Name = "ultraGrid1";
        this.ultraGrid1.Size = new System.Drawing.Size(1006, 329);
        this.ultraGrid1.TabIndex = 18;
        this.ultraGrid1.Text = "ultraGrid1";
        this.ultraGrid1.AfterRowActivate += new System.EventHandler(this.ultraGrid1_AfterRowActivate);
        // 
        // panel1
        // 
        this.panel1.Controls.Add(this.txt_folder);
        this.panel1.Controls.Add(this.btn_ImportAll);
        this.panel1.Controls.Add(this.comboBox1);
        this.panel1.Controls.Add(this.ultraCheckEditor5);
        this.panel1.Controls.Add(this.ultraCheckEditor4);
        this.panel1.Controls.Add(this.textBox4);
        this.panel1.Controls.Add(this.ultraCheckEditor3);
        this.panel1.Controls.Add(this.textBox3);
        this.panel1.Controls.Add(this.ultraCheckEditor2);
        this.panel1.Controls.Add(this.textBox2);
        this.panel1.Controls.Add(this.ultraCheckEditor1);
        this.panel1.Controls.Add(this.textBox1);
        this.panel1.Dock = System.Windows.Forms.DockStyle.Top;
        this.panel1.Location = new System.Drawing.Point(0, 0);
        this.panel1.Name = "panel1";
        this.panel1.Size = new System.Drawing.Size(1006, 64);
        this.panel1.TabIndex = 5;
        // 
        // txt_folder
        // 
        this.txt_folder.AutoSize = true;
        this.txt_folder.FlatMode = true;
        this.txt_folder.ImeMode = System.Windows.Forms.ImeMode.NoControl;
        this.txt_folder.Location = new System.Drawing.Point(809, 34);
        this.txt_folder.Name = "txt_folder";
        this.txt_folder.Size = new System.Drawing.Size(181, 19);
        this.txt_folder.TabIndex = 13;
        this.txt_folder.Text = "C:\\CA\\";
        // 
        // btn_ImportAll
        // 
        this.btn_ImportAll.Location = new System.Drawing.Point(676, 31);
        this.btn_ImportAll.Name = "btn_ImportAll";
        this.btn_ImportAll.Size = new System.Drawing.Size(130, 27);
        this.btn_ImportAll.TabIndex = 12;
        this.btn_ImportAll.Text = "批量导入权限文件";
        this.btn_ImportAll.Click += new System.EventHandler(this.btn_ImportAll_Click);
        // 
        // comboBox1
        // 
        this.comboBox1.DropDownStyle = System.Windows.Forms.ComboBoxStyle.DropDownList;
        this.comboBox1.Enabled = false;
        this.comboBox1.FormattingEnabled = true;
        this.comboBox1.Items.AddRange(new object[] {
            "MENU",
            "FORM"});
        this.comboBox1.Location = new System.Drawing.Point(80, 33);
        this.comboBox1.Name = "comboBox1";
        this.comboBox1.Size = new System.Drawing.Size(168, 20);
        this.comboBox1.TabIndex = 11;
        // 
        // ultraCheckEditor5
        // 
        this.ultraCheckEditor5.Location = new System.Drawing.Point(9, 33);
        this.ultraCheckEditor5.Name = "ultraCheckEditor5";
        this.ultraCheckEditor5.Size = new System.Drawing.Size(72, 20);
        this.ultraCheckEditor5.TabIndex = 10;
        this.ultraCheckEditor5.Tag = "comboBox1";
        this.ultraCheckEditor5.Text = "类  型";
        this.ultraCheckEditor5.CheckedChanged += new System.EventHandler(this.ultraCheckEditor_CheckedChanged);
        // 
        // ultraCheckEditor4
        // 
        this.ultraCheckEditor4.Location = new System.Drawing.Point(292, 32);
        this.ultraCheckEditor4.Name = "ultraCheckEditor4";
        this.ultraCheckEditor4.Size = new System.Drawing.Size(72, 20);
        this.ultraCheckEditor4.TabIndex = 9;
        this.ultraCheckEditor4.Tag = "textBox4";
        this.ultraCheckEditor4.Text = "备  注";
        this.ultraCheckEditor4.CheckedChanged += new System.EventHandler(this.ultraCheckEditor_CheckedChanged);
        // 
        // textBox4
        // 
        this.textBox4.BorderStyle = System.Windows.Forms.BorderStyle.FixedSingle;
        this.textBox4.Enabled = false;
        this.textBox4.Location = new System.Drawing.Point(364, 32);
        this.textBox4.Name = "textBox4";
        this.textBox4.Size = new System.Drawing.Size(263, 21);
        this.textBox4.TabIndex = 8;
        // 
        // ultraCheckEditor3
        // 
        this.ultraCheckEditor3.Location = new System.Drawing.Point(682, 5);
        this.ultraCheckEditor3.Name = "ultraCheckEditor3";
        this.ultraCheckEditor3.Size = new System.Drawing.Size(72, 20);
        this.ultraCheckEditor3.TabIndex = 7;
        this.ultraCheckEditor3.Tag = "textBox3";
        this.ultraCheckEditor3.Text = "组  名";
        this.ultraCheckEditor3.CheckedChanged += new System.EventHandler(this.ultraCheckEditor_CheckedChanged);
        // 
        // textBox3
        // 
        this.textBox3.BorderStyle = System.Windows.Forms.BorderStyle.FixedSingle;
        this.textBox3.Enabled = false;
        this.textBox3.Location = new System.Drawing.Point(754, 5);
        this.textBox3.Name = "textBox3";
        this.textBox3.Size = new System.Drawing.Size(199, 21);
        this.textBox3.TabIndex = 6;
        // 
        // ultraCheckEditor2
        // 
        this.ultraCheckEditor2.BackColor = System.Drawing.SystemColors.Control;
        this.ultraCheckEditor2.Location = new System.Drawing.Point(292, 5);
        this.ultraCheckEditor2.Name = "ultraCheckEditor2";
        this.ultraCheckEditor2.Size = new System.Drawing.Size(72, 20);
        this.ultraCheckEditor2.TabIndex = 5;
        this.ultraCheckEditor2.Tag = "textBox2";
        this.ultraCheckEditor2.Text = "键  值";
        this.ultraCheckEditor2.CheckedChanged += new System.EventHandler(this.ultraCheckEditor_CheckedChanged);
        // 
        // textBox2
        // 
        this.textBox2.BorderStyle = System.Windows.Forms.BorderStyle.FixedSingle;
        this.textBox2.Enabled = false;
        this.textBox2.Location = new System.Drawing.Point(364, 5);
        this.textBox2.Name = "textBox2";
        this.textBox2.Size = new System.Drawing.Size(263, 21);
        this.textBox2.TabIndex = 4;
        // 
        // ultraCheckEditor1
        // 
        this.ultraCheckEditor1.Location = new System.Drawing.Point(8, 5);
        this.ultraCheckEditor1.Name = "ultraCheckEditor1";
        this.ultraCheckEditor1.Size = new System.Drawing.Size(72, 20);
        this.ultraCheckEditor1.TabIndex = 3;
        this.ultraCheckEditor1.Tag = "textBox1";
        this.ultraCheckEditor1.Text = "菜 单 名";
        this.ultraCheckEditor1.CheckedChanged += new System.EventHandler(this.ultraCheckEditor_CheckedChanged);
        // 
        // textBox1
        // 
        this.textBox1.BorderStyle = System.Windows.Forms.BorderStyle.FixedSingle;
        this.textBox1.Enabled = false;
        this.textBox1.Location = new System.Drawing.Point(80, 5);
        this.textBox1.Name = "textBox1";
        this.textBox1.Size = new System.Drawing.Size(168, 21);
        this.textBox1.TabIndex = 1;
        // 
        // _FrmBase_Toolbars_Dock_Area_Left
        // 
        this._FrmBase_Toolbars_Dock_Area_Left.AccessibleRole = System.Windows.Forms.AccessibleRole.Grouping;
        this._FrmBase_Toolbars_Dock_Area_Left.BackColor = System.Drawing.Color.FromArgb(((int)(((byte)(229)))), ((int)(((byte)(229)))), ((int)(((byte)(215)))));
        this._FrmBase_Toolbars_Dock_Area_Left.DockedPosition = Infragistics.Win.UltraWinToolbars.DockedPosition.Left;
        this._FrmBase_Toolbars_Dock_Area_Left.ForeColor = System.Drawing.SystemColors.ControlText;
        this._FrmBase_Toolbars_Dock_Area_Left.Location = new System.Drawing.Point(0, 25);
        this._FrmBase_Toolbars_Dock_Area_Left.Name = "_FrmBase_Toolbars_Dock_Area_Left";
        this._FrmBase_Toolbars_Dock_Area_Left.Size = new System.Drawing.Size(0, 708);
        this._FrmBase_Toolbars_Dock_Area_Left.ToolbarsManager = this.ultraToolbarsManager1;
        // 
        // _FrmBase_Toolbars_Dock_Area_Right
        // 
        this._FrmBase_Toolbars_Dock_Area_Right.AccessibleRole = System.Windows.Forms.AccessibleRole.Grouping;
        this._FrmBase_Toolbars_Dock_Area_Right.BackColor = System.Drawing.Color.FromArgb(((int)(((byte)(229)))), ((int)(((byte)(229)))), ((int)(((byte)(215)))));
        this._FrmBase_Toolbars_Dock_Area_Right.DockedPosition = Infragistics.Win.UltraWinToolbars.DockedPosition.Right;
        this._FrmBase_Toolbars_Dock_Area_Right.ForeColor = System.Drawing.SystemColors.ControlText;
        this._FrmBase_Toolbars_Dock_Area_Right.Location = new System.Drawing.Point(1012, 25);
        this._FrmBase_Toolbars_Dock_Area_Right.Name = "_FrmBase_Toolbars_Dock_Area_Right";
        this._FrmBase_Toolbars_Dock_Area_Right.Size = new System.Drawing.Size(0, 708);
        this._FrmBase_Toolbars_Dock_Area_Right.ToolbarsManager = this.ultraToolbarsManager1;
        // 
        // _FrmBase_Toolbars_Dock_Area_Top
        // 
        this._FrmBase_Toolbars_Dock_Area_Top.AccessibleRole = System.Windows.Forms.AccessibleRole.Grouping;
        this._FrmBase_Toolbars_Dock_Area_Top.BackColor = System.Drawing.Color.FromArgb(((int)(((byte)(229)))), ((int)(((byte)(229)))), ((int)(((byte)(215)))));
        this._FrmBase_Toolbars_Dock_Area_Top.DockedPosition = Infragistics.Win.UltraWinToolbars.DockedPosition.Top;
        this._FrmBase_Toolbars_Dock_Area_Top.ForeColor = System.Drawing.SystemColors.ControlText;
        this._FrmBase_Toolbars_Dock_Area_Top.Location = new System.Drawing.Point(0, 0);
        this._FrmBase_Toolbars_Dock_Area_Top.Name = "_FrmBase_Toolbars_Dock_Area_Top";
        this._FrmBase_Toolbars_Dock_Area_Top.Size = new System.Drawing.Size(1012, 25);
        this._FrmBase_Toolbars_Dock_Area_Top.ToolbarsManager = this.ultraToolbarsManager1;
        // 
        // _FrmBase_Toolbars_Dock_Area_Bottom
        // 
        this._FrmBase_Toolbars_Dock_Area_Bottom.AccessibleRole = System.Windows.Forms.AccessibleRole.Grouping;
        this._FrmBase_Toolbars_Dock_Area_Bottom.BackColor = System.Drawing.Color.FromArgb(((int)(((byte)(229)))), ((int)(((byte)(229)))), ((int)(((byte)(215)))));
        this._FrmBase_Toolbars_Dock_Area_Bottom.DockedPosition = Infragistics.Win.UltraWinToolbars.DockedPosition.Bottom;
        this._FrmBase_Toolbars_Dock_Area_Bottom.ForeColor = System.Drawing.SystemColors.ControlText;
        this._FrmBase_Toolbars_Dock_Area_Bottom.Location = new System.Drawing.Point(0, 733);
        this._FrmBase_Toolbars_Dock_Area_Bottom.Name = "_FrmBase_Toolbars_Dock_Area_Bottom";
        this._FrmBase_Toolbars_Dock_Area_Bottom.Size = new System.Drawing.Size(1012, 0);
        this._FrmBase_Toolbars_Dock_Area_Bottom.ToolbarsManager = this.ultraToolbarsManager1;
        // 
        // ultraToolbarsManager3
        // 
        this.ultraToolbarsManager3.DesignerFlags = 1;
        this.ultraToolbarsManager3.LockToolbars = true;
        this.ultraToolbarsManager3.MdiMergeable = false;
        this.ultraToolbarsManager3.ShowQuickCustomizeButton = false;
        this.ultraToolbarsManager3.Style = Infragistics.Win.UltraWinToolbars.ToolbarStyle.Office2000;
        buttonTool35.SharedProps.Caption = "上移";
        buttonTool35.SharedProps.DisplayStyle = Infragistics.Win.UltraWinToolbars.ToolDisplayStyle.ImageAndText;
        buttonTool36.SharedProps.Caption = "下移";
        buttonTool36.SharedProps.DisplayStyle = Infragistics.Win.UltraWinToolbars.ToolDisplayStyle.ImageAndText;
        buttonTool37.SharedProps.Caption = "左移";
        buttonTool37.SharedProps.DisplayStyle = Infragistics.Win.UltraWinToolbars.ToolDisplayStyle.ImageAndText;
        buttonTool38.SharedProps.Caption = "右移";
        buttonTool38.SharedProps.DisplayStyle = Infragistics.Win.UltraWinToolbars.ToolDisplayStyle.ImageAndText;
        buttonTool39.SharedProps.Caption = "保存";
        buttonTool39.SharedProps.DisplayStyle = Infragistics.Win.UltraWinToolbars.ToolDisplayStyle.ImageAndText;
        buttonTool40.SharedProps.Caption = "刷新";
        buttonTool40.SharedProps.DisplayStyle = Infragistics.Win.UltraWinToolbars.ToolDisplayStyle.ImageAndText;
        this.ultraToolbarsManager3.Tools.AddRange(new Infragistics.Win.UltraWinToolbars.ToolBase[] {
            buttonTool35,
            buttonTool36,
            buttonTool37,
            buttonTool38,
            buttonTool39,
            buttonTool40});
        // 
        // dstToolBar
        // 
        this.dstToolBar.DataSetName = "dstToolBar";
        this.dstToolBar.Tables.AddRange(new System.Data.DataTable[] {
            this.Toolbar});
        // 
        // Toolbar
        // 
        this.Toolbar.Columns.AddRange(new System.Data.DataColumn[] {
            this.KEY_,
            this.CATEGORY,
            this.CAPTION,
            this.TYPE,
            this.PARENTMENU,
            this.SETINFO,
            this.ROLEID});
        this.Toolbar.TableName = "Toolbar";
        // 
        // KEY_
        // 
        this.KEY_.Caption = "类";
        this.KEY_.ColumnName = "KEY_";
        // 
        // CATEGORY
        // 
        this.CATEGORY.Caption = "工程";
        this.CATEGORY.ColumnName = "CATEGORY";
        // 
        // CAPTION
        // 
        this.CAPTION.Caption = "菜单名";
        this.CAPTION.ColumnName = "CAPTION";
        // 
        // TYPE
        // 
        this.TYPE.Caption = "类型";
        this.TYPE.ColumnName = "TYPE";
        // 
        // PARENTMENU
        // 
        this.PARENTMENU.Caption = "父菜单";
        this.PARENTMENU.ColumnName = "PARENTMENU";
        // 
        // SETINFO
        // 
        this.SETINFO.Caption = "菜单结构";
        this.SETINFO.ColumnName = "SETINFO";
        // 
        // ROLEID
        // 
        this.ROLEID.Caption = "角色ID";
        this.ROLEID.ColumnName = "ROLEID";
        // 
        // FrmPurviewSet
        // 
        this.AutoScaleBaseSize = new System.Drawing.Size(6, 14);
        this.ClientSize = new System.Drawing.Size(1012, 733);
        this.Controls.Add(this.ultraExpandableGroupBox1);
        this.Controls.Add(this.ultraExpandableGroupBox2);
        this.Controls.Add(this._FrmBase_Toolbars_Dock_Area_Left);
        this.Controls.Add(this._FrmBase_Toolbars_Dock_Area_Right);
        this.Controls.Add(this._FrmBase_Toolbars_Dock_Area_Top);
        this.Controls.Add(this._FrmBase_Toolbars_Dock_Area_Bottom);
        this.Name = "FrmPurviewSet";
        this.Text = "权限设置";
        this.Load += new System.EventHandler(this.FrmPurviewSet_Load);
        ((System.ComponentModel.ISupportInitialize)(this.dataSet1)).EndInit();
        ((System.ComponentModel.ISupportInitialize)(this.dataTable1)).EndInit();
        ((System.ComponentModel.ISupportInitialize)(this.ultraToolbarsManager1)).EndInit();
        ((System.ComponentModel.ISupportInitialize)(this.ultraGrid2)).EndInit();
        ((System.ComponentModel.ISupportInitialize)(this.dataSet2)).EndInit();
        ((System.ComponentModel.ISupportInitialize)(this.dataTable2)).EndInit();
        ((System.ComponentModel.ISupportInitialize)(this.ultraTree1)).EndInit();
        ((System.ComponentModel.ISupportInitialize)(this.ultraExpandableGroupBox2)).EndInit();
        this.ultraExpandableGroupBox2.ResumeLayout(false);
        this.ultraExpandableGroupBoxPanel2.ResumeLayout(false);
        ((System.ComponentModel.ISupportInitialize)(this.ultraToolbarsManager2)).EndInit();
        ((System.ComponentModel.ISupportInitialize)(this.ultraExpandableGroupBox1)).EndInit();
        this.ultraExpandableGroupBox1.ResumeLayout(false);
        this.ultraExpandableGroupBoxPanel1.ResumeLayout(false);
        ((System.ComponentModel.ISupportInitialize)(this.ultraGrid1)).EndInit();
        this.panel1.ResumeLayout(false);
        this.panel1.PerformLayout();
        ((System.ComponentModel.ISupportInitialize)(this.txt_folder)).EndInit();
        ((System.ComponentModel.ISupportInitialize)(this.ultraToolbarsManager3)).EndInit();
        ((System.ComponentModel.ISupportInitialize)(this.dstToolBar)).EndInit();
        ((System.ComponentModel.ISupportInitialize)(this.Toolbar)).EndInit();
        this.ResumeLayout(false);

    }
    #endregion

    void AddMenuNode(UltraTreeNode pNode, DataTable dtab)
    {
      DataView dvw = dtab.Copy().DefaultView;
      if (pNode.Key != "")
        dvw.RowFilter = "PARENTID='" + pNode.Key + "'";
      else
        dvw.RowFilter = "PARENTID is null";
      dvw.Sort = "XH ASC";

      foreach (DataRowView drow in dvw)
      {
        UltraTreeNode tNode = pNode.Nodes.Add(drow["ID_"].ToString(), drow["CAPTION"].ToString());
        AddMenuNode(tNode, dtab);
      }
    }

    private void ultraCheckEditor_CheckedChanged(object sender, System.EventArgs e)
    {
      foreach (Control c in (sender as Infragistics.Win.UltraWinEditors.UltraCheckEditor).Parent.Controls)
      {
        if (c.Name == (sender as Infragistics.Win.UltraWinEditors.UltraCheckEditor).Tag.ToString())
        {
          c.Enabled = (sender as Infragistics.Win.UltraWinEditors.UltraCheckEditor).Checked;
          if (c.Enabled)
            c.BackColor = Color.LightCyan;
          else
            c.BackColor = Color.Silver;
        }
      }
    }

    #region "Menu ToolBar"
    private void ultraToolbarsManager1_ToolClick(object sender, Infragistics.Win.UltraWinToolbars.ToolClickEventArgs e)
    {
      switch (e.Tool.Key)
      {
        case "query":
          this.DoQuery();
          break;
        case "add":
          this.DoAdd();
          break;
        case "del":
          this.DoDel();
          break;
        case "edit":
          this.DoEdit();
          break;
        case "close":
          this.Close();
          break;

      }
    }
    private void DoQuery()
    {
      string strOut = "";
      DataSet obj = ClientCommon._RemotingHelp.ExecuteMethod("ServerCommon",
          "Core.Mes.ServerCommon.UserInfoManager", "GetPt_menuinfo", new object[] { this.GetStrWhere() }, out strOut) as DataSet;

      if (strOut != "")
      {
        MessageBox.Show(strOut); return;
      }
      obj.Tables[0].TableName = this.dataSet1.Tables[0].TableName;
      this.dataSet1.Clear();
      this.dataSet1.Merge(obj.Tables[0]);
    }
    private void DoAdd()
    {
      if (Core.Mes.ClientFrameWork.ClientCommon._UserInfo.LoginID.ToUpper() != "ROOT" & Core.Mes.ClientFrameWork.ClientCommon._UserInfo.UserRoleID.ToUpper() != "ADMIN001")
      {
        MessageBox.Show("权限不够，请与管理员联系", "系统提示");
        return;
      }
      string strOut = "";
      string strCaption = this.textBox1.Text.Trim();
      string strKey = this.textBox2.Text.Trim();
      string strCategory = this.textBox3.Text.Trim();
      string strRemark = this.textBox4.Text.Trim();
      string strType = comboBox1.Text.Trim();

      if (strCaption.Length == 0) strOut = "请输入菜单名！";
      if (strKey.Length == 0) strOut = "请输入键值！";
      if (strCategory.Length == 0) strOut = "请输入组名！";

      if (strOut != "")
      {
        MessageBox.Show(strOut); return;
      }

      object obj = ClientCommon._RemotingHelp.ExecuteMethod("ServerCommon",
          "Core.Mes.ServerCommon.UserInfoManager", "InsertPt_menuinfo", new object[]{ strKey,
			strCategory, strCaption, strRemark, strType}, out strOut);

      if (strOut != "")
      {
        MessageBox.Show(strOut); return;
      }
      string strID = obj.ToString();

      UltraGridRow ugr = this.ultraGrid1.DisplayLayout.Bands[0].AddNew();
      ugr.Cells["ID_"].Value = strID;
      ugr.Cells["KEY_"].Value = strKey;
      ugr.Cells["CATEGORY"].Value = strCategory;
      ugr.Cells["CAPTION"].Value = strCaption;
      ugr.Cells["REMARK"].Value = strRemark;
      ugr.Cells["TYPE"].Value = strType;

      ugr.Update();

      ugr.Activated = true;


    }
    private void DoDel()
    {
      if (Core.Mes.ClientFrameWork.ClientCommon._UserInfo.LoginID.ToUpper() != "ROOT" & Core.Mes.ClientFrameWork.ClientCommon._UserInfo.UserRoleID.ToUpper() != "ADMIN001")
      {
        MessageBox.Show("权限不够，请与管理员联系", "系统提示");
        return;
      }
      string strOut = "";
      UltraGridRow ugr = this.ultraGrid1.ActiveRow;
      if (ugr == null)
      {
        MessageBox.Show("请选择要删除的行！");
        return;
      }
      if (MessageBox.Show("是否确认删除选择的菜单信息？", "提示", MessageBoxButtons.YesNo) == DialogResult.No)
      {
        return;
      }
      int rowIndex = ugr.Index;
      string strID = ugr.Cells["ID_"].Text;

      object obj = ClientCommon._RemotingHelp.ExecuteMethod("ServerCommon",
          "Core.Mes.ServerCommon.UserInfoManager", "DeletePt_menuinfo", new object[] { strID }, out strOut);

      if (strOut != "")
      {
        MessageBox.Show(strOut); return;
      }

      ugr.Delete(false);

      if (this.ultraGrid1.Rows.Count > 0)
      {
        if (rowIndex <= this.ultraGrid1.Rows.Count - 1)
          this.ultraGrid1.Rows[rowIndex].Activate();
        else
          this.ultraGrid1.Rows[this.ultraGrid1.Rows.Count - 1].Activate();
      }

      MessageBox.Show("删除成功！");

    }
    private void DoEdit()
    {
      if (Core.Mes.ClientFrameWork.ClientCommon._UserInfo.LoginID.ToUpper() != "ROOT" & Core.Mes.ClientFrameWork.ClientCommon._UserInfo.UserRoleID.ToUpper() != "ADMIN001")
      {
        MessageBox.Show("权限不够，请与管理员联系", "系统提示");
        return;
      }
      UltraGridRow ugr = this.ultraGrid1.ActiveRow;

      if (ugr == null)
      {
        MessageBox.Show("请选择要修改的行！");
        return;
      }

      string strOut = "";
      string strID = ugr.Cells["ID_"].Text;
      string strCaption = this.textBox1.Text.Trim();
      string strKey = this.textBox2.Text.Trim();
      string strCategory = this.textBox3.Text.Trim();
      string strRemark = this.textBox4.Text.Trim();
      string strType = comboBox1.Text.Trim();

      if (strCaption.Length == 0) strOut = "请输入菜单名！";
      if (strKey.Length == 0) strOut = "请输入键值！";
      if (strCategory.Length == 0) strOut = "请输入组名！";

      if (strOut != "")
      {
        MessageBox.Show(strOut); return;
      }
      if (MessageBox.Show("是否确认修改选择的菜单信息？", "提示", MessageBoxButtons.YesNo) == DialogResult.No)
      {
        return;
      }

      object obj = ClientCommon._RemotingHelp.ExecuteMethod("ServerCommon",
          "Core.Mes.ServerCommon.UserInfoManager", "UpdatePt_menuinfo", new object[]{ strID, strKey,
																							   strCategory, strCaption, strRemark, strType}, out strOut);

      if (strOut != "")
      {
        MessageBox.Show(strOut); return;
      }

      ugr.Cells["KEY_"].Value = strKey;
      ugr.Cells["CATEGORY"].Value = strCategory;
      ugr.Cells["CAPTION"].Value = strCaption;
      ugr.Cells["REMARK"].Value = strRemark;
      ugr.Cells["TYPE"].Value = strType;

      ugr.Update();

      MessageBox.Show("修改成功！");
    }
    #endregion

    #region "Role ToolBar"
    private void ultraToolbarsManager2_ToolClick(object sender, Infragistics.Win.UltraWinToolbars.ToolClickEventArgs e)
    {
      switch (e.Tool.Key)
      {
        case "refresh":
          this.DoRefresh();
          break;
        case "select":
          DoSelect();
          break;
        case "remove":
          this.DoRemove();
          break;
        case "clear":
          this.DoClear();
          break;
        case "copy":
          this.DoCopy();
          break;
        case "plast":
          this.DoPlast();
          break;
        case "save":
          this.DoSave();
          break;
        case "left":
          this.DoLeft();
          break;
        case "up":
          this.DoUp();
          break;
        case "right":
          this.DoRight();
          break;
        case "down":
          this.DoDown();
          break;
        case "IMPORT":
          this.Import();
          break;
      }
    }
    private void DoRefresh()
    {
      string strOut = "";
      string MethodName = "";
      object obj = null;
      if (Core.Mes.ClientFrameWork.ClientCommon._UserInfo.LoginID.ToUpper() != "ROOT" & Core.Mes.ClientFrameWork.ClientCommon._UserInfo.UserRoleID.ToUpper() != "ADMIN001")
      {
        obj = ClientCommon._RemotingHelp.ExecuteMethod("ServerCommon",
          "Core.Mes.ServerCommon.UserInfoManager", "GetUam_role", null, out strOut);
      }
      {
        obj = ClientCommon._RemotingHelp.ExecuteMethod("ServerCommon",
          "Core.Mes.ServerCommon.UserInfoManager", "GetUser_Uam_Role", new object[] { RightsComm.GetChildDpt()}, out strOut);
      }
      
      if (strOut != "")
      {
        MessageBox.Show(strOut); return;
      }
      if (obj != null)
      {
        (obj as System.Data.DataSet).Tables[0].TableName = this.dataSet2.Tables[0].TableName;
        this.dataSet2.Clear();
        this.dataSet2.Merge((obj as System.Data.DataSet).Tables[0]);
      }
    }
    private void DoSelect()
    {
      UltraGridRow ugr1 = this.ultraGrid1.ActiveRow;
      UltraGridRow ugr2 = this.ultraGrid2.ActiveRow;

      if (ugr1 == null)
      {
        MessageBox.Show("请选择菜单信息！"); return;
      }
      if (ugr2 == null)
      {
        MessageBox.Show("请选择角色信息！"); return;
      }
      string strID = ugr1.Cells["ID_"].Text;
      string strName = ugr1.Cells["CAPTION"].Text;

      if (CheckIsReKey(strID, ultraTree1.Nodes))
      {
        MessageBox.Show("键值重复！");
        return;
      }

      try
      {
        if (this.ultraTree1.SelectedNodes.Count > 0)
        {
          Infragistics.Win.UltraWinTree.UltraTreeNode utn = new Infragistics.Win.UltraWinTree.UltraTreeNode(strID, strName);
          utn.Tag = ugr1.Cells["ID_"].Text;

          this.ultraTree1.SelectedNodes[0].Nodes.Add(utn);

        }
        else
        {
          Infragistics.Win.UltraWinTree.UltraTreeNode utn = new Infragistics.Win.UltraWinTree.UltraTreeNode(strID, strName);
          utn.Tag = ugr1.Cells["ID_"].Text;
          this.ultraTree1.Nodes.Add(utn);
        }
      }
      catch (Exception ex)
      {
        MessageBox.Show(ex.Message);
      }
    }
    private void DoRemove()
    {
      if (this.ultraTree1.SelectedNodes.Count == 0)
      {
        MessageBox.Show("请选择所要移除的菜单！"); return;
      }
      if (MessageBox.Show("是否确认移除选中的菜单！", "提示", MessageBoxButtons.YesNo) == DialogResult.No)
      {
        return;
      }
      if (this.ultraTree1.SelectedNodes.Count > 0)
      {
        this.ultraTree1.SelectedNodes[0].Remove();
      }
    }
    private void DoClear()
    {
      if (MessageBox.Show("是否确认清除该角色的所要菜单！", "提示", MessageBoxButtons.YesNo) == DialogResult.No)
      {
        return;
      }
      this.ultraTree1.Nodes.Clear();
    }
    private void DoCopy()
    {
      UltraGridRow ugr = this.ultraGrid2.ActiveRow;

      if (ugr == null)
      {
        MessageBox.Show("请选择要复制的角色！"); return;
      }

      foreach (UltraGridRow r in this.ultraGrid2.Rows)
      {
        r.Appearance.ForeColor = Color.Black;
      }
      ugr.Appearance.ForeColor = Color.Red;
    }
    private void DoPlast()
    {
      UltraGridRow nugr = this.ultraGrid2.ActiveRow;
      if (nugr == null)
      {
        MessageBox.Show("请选择复制到角色！"); return;
      }
      if (nugr.Appearance.ForeColor == Color.Red)
      {
        MessageBox.Show("复制到自己？"); return;
      }
      UltraGridRow ugr = null;
      foreach (UltraGridRow r in this.ultraGrid2.Rows)
      {
        if (r.Appearance.ForeColor == Color.Red)
        {
          ugr = r;
          ugr.Appearance.ForeColor = Color.Black;
          continue;
        }
      }
      if (ugr == null)
      {
        MessageBox.Show("请选择要复制的角色！"); return;
      }
      if (MessageBox.Show("是否确认复制选定的配置信息，原信息将被删除！", "提示", MessageBoxButtons.YesNo) == DialogResult.No)
        return;

      string strOut = "";
      object obj = ClientCommon._RemotingHelp.ExecuteMethod("ServerCommon",
          "Core.Mes.ServerCommon.UserInfoManager", "PlastPt_menuinfo", new object[]{ ugr.Cells["ROLEID"].Text,
																								 nugr.Cells["ROLEID"].Text}, out strOut);

      if (strOut != "")
      {
        MessageBox.Show(strOut); return;
      }

      this.RefreshTreeDate();

    }
    private void DoSave()
    {
      UltraGridRow ugr = this.ultraGrid2.ActiveRow;

      if (ugr == null)
      {
        MessageBox.Show("请选择要保存的角色信息！"); return;
      }
      ArrayList arMenuID = new ArrayList();
      ArrayList arSetInfo = new ArrayList();

      foreach (Infragistics.Win.UltraWinTree.UltraTreeNode utn in this.ultraTree1.Nodes)
      {
        arMenuID.Add(utn.Tag);
        arSetInfo.Add(utn.Index.ToString().PadLeft(3, '0'));

        if (utn.Nodes.Count > 0)
        {
          this.SetChildNodes(utn, utn.Index.ToString().PadLeft(3, '0'), ref arMenuID, ref arSetInfo);
        }
      }
      string strOut = "";
      object obj = ClientCommon._RemotingHelp.ExecuteMethod("ServerCommon",
          "Core.Mes.ServerCommon.UserInfoManager", "SavePt_usermenuinfo", new object[]{ ugr.Cells["ROLEID"].Text,
																							   arMenuID, arSetInfo}, out strOut);

      if (strOut != "")
      {
        MessageBox.Show(strOut); return;
      }

      MessageBox.Show("保存成功！");

    }
    private void DoLeft()
    {
      Infragistics.Win.UltraWinTree.UltraTreeNode utn = this.ultraTree1.ActiveNode;

      if (utn == null) return;

      if (utn.Level == 0)
        return;
      else if (utn.Level == 1)
        utn.Reposition(this.ultraTree1.Nodes);
      else
      {
        Infragistics.Win.UltraWinTree.UltraTreeNode putn = utn.Parent.Parent;
        utn.Reposition(putn.Nodes);
      }
    }
    private void DoUp()
    {
      Infragistics.Win.UltraWinTree.UltraTreeNode utn = this.ultraTree1.ActiveNode;
      if (utn == null) return;

      int i = utn.Index;
      if (i == 0) return;

      if (utn.Level == 0)
        utn.Reposition(this.ultraTree1.Nodes, i - 1);
      else
        utn.Reposition(utn.Parent.Nodes, i - 1);
    }
    private void DoRight()
    {
      Infragistics.Win.UltraWinTree.UltraTreeNode utn = this.ultraTree1.ActiveNode;
      if (utn == null) return;

      int i = utn.Index;

      if (i == 0) return;

      Infragistics.Win.UltraWinTree.UltraTreeNode putn;
      if (utn.Level == 0)
        putn = this.ultraTree1.Nodes[i - 1];
      else
        putn = utn.Parent.Nodes[i - 1];

      utn.Reposition(putn.Nodes);

      putn.ExpandAll();
    }
    private void DoDown()
    {
      Infragistics.Win.UltraWinTree.UltraTreeNode utn = this.ultraTree1.ActiveNode;
      if (utn == null) return;

      int i = utn.Index;

      if (utn.Level == 0)
      {
        if (i == this.ultraTree1.Nodes.Count - 1) return;
        utn.Reposition(this.ultraTree1.Nodes, i + 1);
      }
      else
      {
        if (i == utn.Parent.Nodes.Count - 1) return;
        utn.Reposition(utn.Parent.Nodes, i + 1);
      }
    }
    private void Import()
    {
      try
      {
        if (this.ultraGrid2.ActiveRow == null)
        {
          MessageBox.Show("请选择你要导入权限文件的角色", "系统提示");
          return;
        }
        string FileName = "";
        System.Windows.Forms.OpenFileDialog openfile = new OpenFileDialog();
        openfile.Filter = "*.xml|";
        openfile.Title = "选择权限文件";
        openfile.ShowDialog();
        if (openfile.FileName.Length > 0)
        {
          FileName = openfile.FileName;
        }
        else
        {
          return;
        }
        string RoleID = this.ultraGrid2.ActiveRow.Cells[0].Text;
        if (ImportRole(FileName, RoleID))
        {
          MessageBox.Show("导入成功", "系统提示");
          RefreshTreeDate();
        }
        else
        {
          MessageBox.Show("导入失败", "系统提示");
        }
      }
      catch (System.Exception ex)
      {
        System.Diagnostics.Debug.WriteLine(ex.ToString());
      }
    }
    #endregion
    
    private string GetStrWhere()
    {
      string str = "";
      if (this.ultraCheckEditor1.Checked && this.textBox1.Text.Trim().Length > 0)
      {
        str += string.Format(" and caption like '%{0}%' ", this.textBox1.Text.Trim());
      }
      if (this.ultraCheckEditor2.Checked && this.textBox2.Text.Trim().Length > 0)
      {
        str += string.Format(" and upper(key_) like upper('%{0}%') ", this.textBox2.Text.Trim());
      }
      if (this.ultraCheckEditor3.Checked && this.textBox3.Text.Trim().Length > 0)
      {
        str += string.Format(" and upper(category) like upper('%{0}%') ", this.textBox3.Text.Trim());
      }
      if (this.ultraCheckEditor4.Checked && this.textBox4.Text.Trim().Length > 0)
      {
        str += string.Format(" and upper(remark) like upper('%{0}%') ", this.textBox4.Text.Trim());
      }
      if (ultraCheckEditor5.Checked && comboBox1.Text.Trim().Length > 0)
      {
        str += string.Format(" and type='{0}'", comboBox1.Text.Trim());
      }
      return str;
    }
    
    UltraTreeNode findNode(string sKey, UltraTreeNode pNode)
    {
      for (int i = 0; i < pNode.Nodes.Count; i++)
      {
        if (pNode.Nodes[i].Key == sKey)
          return pNode.Nodes[i];
        else
        {
          UltraTreeNode fNode = findNode(sKey, pNode.Nodes[i]);
          if (fNode != null)
            return fNode;
        }
      }
      return null;
    }
    private void ultraGrid1_AfterRowActivate(object sender, System.EventArgs e)
    {
      UltraGridRow ugr = this.ultraGrid1.ActiveRow;
      this.textBox1.Text = ugr.Cells["CAPTION"].Text;
      this.textBox2.Text = ugr.Cells["KEY_"].Text;
      this.textBox3.Text = ugr.Cells["CATEGORY"].Text;
      this.textBox4.Text = ugr.Cells["REMARK"].Text;
      comboBox1.Text = ugr.Cells["TYPE"].Text;
    }

    void fillCheckMenuToRole(TreeNodesCollection pNodes, TreeNodesCollection menuNodes)
    {
      for (int i = 0; i < menuNodes.Count; i++)
      {
        if (menuNodes[i].CheckedState == CheckState.Checked)
        {
          if (CheckIsReKey(menuNodes[i].Key, ultraTree1.Nodes))
          {
            MessageBox.Show("键值重复！");
            return;
          }
          UltraTreeNode nNode = new UltraTreeNode(menuNodes[i].Key, menuNodes[i].Text);
          nNode.Tag = menuNodes[i].Key;
          pNodes.Add(nNode);
          if (menuNodes[i].Nodes.Count > 0)
            fillCheckMenuToRole(nNode.Nodes, menuNodes[i].Nodes);
        }
      }
    }

    private bool CheckIsReKey(string sFindID, TreeNodesCollection uNodes)
    {
      foreach (UltraTreeNode node in uNodes)
      {
        if (node.Tag.ToString() == sFindID) return true;

        if (node.Nodes.Count > 0)
        {
          if (CheckIsReKey(sFindID, node.Nodes))
            return true;
        }
      }
      return false;
    }

    
   
    private void SetChildNodes(Infragistics.Win.UltraWinTree.UltraTreeNode putn, string strParent, ref ArrayList ar1, ref ArrayList ar2)
    {
      string strSetInfo = "";
      string strCurr = "";

      foreach (Infragistics.Win.UltraWinTree.UltraTreeNode utn in putn.Nodes)
      {
        strCurr = utn.Index.ToString().PadLeft(3, '0');
        strSetInfo = strParent + strCurr;

        ar1.Add(utn.Tag);
        ar2.Add(strSetInfo);
        if (utn.Nodes.Count > 0)
        {
          this.SetChildNodes(utn, strSetInfo, ref ar1, ref ar2);
        }
      }
    }

    
    
    private void FrmPurviewSet_Load(object sender, System.EventArgs e)
    {
      comboBox1.SelectedIndex = 0;
      if (Core.Mes.ClientFrameWork.ClientCommon._UserInfo.UserName == "谢康宏")
          this.btn_ImportAll.Visible = this.txt_folder.Visible = true;
      else
          this.btn_ImportAll.Visible = this.txt_folder.Visible = false;
      //this.btn_ImportAll.Visible = this.txt_folder.Visible = true;
    }

    private void ultraGrid2_AfterRowActivate(object sender, System.EventArgs e)
    {
      this.RefreshTreeDate();
    }
    private void RefreshTreeDate()
    {
     
      string strOut = "";
      DataSet obj = ClientCommon._RemotingHelp.ExecuteMethod("ServerCommon",
          "Core.Mes.ServerCommon.UserInfoManager", "GetPurviewTree",
          new object[] { string.Format(" and roleid = '{0}'", this.ultraGrid2.ActiveRow.Cells["ROLEID"].Text) },
          out strOut) as DataSet;

      if (strOut != "")
      {
        MessageBox.Show(strOut); return;
      }

      this.ultraTree1.Nodes.Clear();

      for (int i = 0; i < obj.Tables[0].Rows.Count; i++)
      {
        try
        {
          string strSet = obj.Tables[0].Rows[i]["SETINFO"].ToString();

          string strName = obj.Tables[0].Rows[i]["MENUNAME"].ToString();
          string strKey = obj.Tables[0].Rows[i]["MENUID"].ToString();
          Infragistics.Win.UltraWinTree.UltraTreeNode utn = null;

          utn = new Infragistics.Win.UltraWinTree.UltraTreeNode(strSet, strName);
          utn.Tag = strKey;

          if (strSet.Length == 3)
          {
            this.ultraTree1.Nodes.Add(utn);
          }
          else
          {
            addChildNode(ultraTree1.Nodes, utn);
            //foreach ( Infragistics.Win.UltraWinTree.UltraTreeNode cutn in this.ultraTree1.Nodes )
            //{
            //    if (cutn.Key == strSet.Substring(0, cutn.Key.Length))
            //    {
            //        utn = new Infragistics.Win.UltraWinTree.UltraTreeNode(strSet, strName);
            //        utn.Tag = strKey;
            //        cutn.Nodes.Add(utn);
            //    }
            //    if (cutn.Nodes.Count > 0)
            //    {
            //        this.LoadChileNodes(cutn, strSet, strKey, strName);
            //    }
            //}
          }
        }
        catch { }
      }
    }

    private void addChildNode(Infragistics.Win.UltraWinTree.TreeNodesCollection nodeColl, Infragistics.Win.UltraWinTree.UltraTreeNode newNode)
    {
      foreach (Infragistics.Win.UltraWinTree.UltraTreeNode aNode in nodeColl)
      {
        if (aNode.Key == newNode.Key.Substring(0, newNode.Key.Length - 3))
        {
          aNode.Nodes.Add(newNode);
          break;
        }
        else
        {
          addChildNode(aNode.Nodes, newNode);
        }
      }
    }


    void checkParent(UltraTreeNode node)
    {
      if (node.Parent != null)
      {
        node.Parent.CheckedState = CheckState.Checked;
        checkParent(node.Parent);
      }
    }

    void checkChild(UltraTreeNode node, CheckState state)
    {
      foreach (UltraTreeNode cNode in node.Nodes)
      {
        cNode.CheckedState = state;
        checkChild(cNode, state);
      }
    }

    void resetParent(UltraTreeNode node)
    {
      if (node.Parent != null)
      {
        bool NoCheck = true;
        foreach (UltraTreeNode cNode in node.Parent.Nodes)
        {
          if (cNode == node) continue;

          if (cNode.CheckedState == CheckState.Checked)
          {
            NoCheck = false;
            break;
          }
        }
        if (NoCheck)
        {
          node.Parent.CheckedState = CheckState.Unchecked;
          resetParent(node.Parent);
        }
      }
    }


    void menuPosSave()
    {
      string err = "";
      ClientCommon._RemotingHelp.ExecuteMethod("ServerCommon", "Core.Mes.ServerCommon.UserInfoManager", "updatePT_MenuPos",
          new object[] { dtMenuPos }, out err);
      if (err != "")
      {
        MessageBox.Show("保存失败！/n" + err);
      }
      else
      {
        dtMenuPos.AcceptChanges();
      }
    }

    #region ultraTree2 dragdrop

    private UltraTree_DropHightLight_DrawFilter_Class UltraTree_DropHightLight_DrawFilter = new UltraTree_DropHightLight_DrawFilter_Class();
    private void UltraTree_DropHightLight_DrawFilter_Invalidate(object sender, System.EventArgs e)
    {
    }

    private void UltraTree_DropHightLight_DrawFilter_QueryStateAllowedForNode(Object sender, UltraTree_DropHightLight_DrawFilter_Class.QueryStateAllowedForNodeEventArgs e)
    {
      if (e.Node.Level == 0)
      {
        e.StatesAllowed = DropLinePositionEnum.OnNode;
        return;
      }

      if (e.Node.Selected)
      {
        e.StatesAllowed = DropLinePositionEnum.AboveNode | DropLinePositionEnum.BelowNode;
        UltraTree_DropHightLight_DrawFilter.EdgeSensitivity = e.Node.Bounds.Height / 2;
      }
      else
      {
        UltraTree_DropHightLight_DrawFilter.EdgeSensitivity = e.Node.Bounds.Height / 3;
      }
    }

    #endregion

    
    private bool ImportRole(string FileName,string RoleID)
    {
      try
      {
        if (!System.IO.File.Exists(FileName))
        {
          return false;
        }
        Infragistics.Win.UltraWinToolbars.UltraToolbarsManager ImpToolbar = new Infragistics.Win.UltraWinToolbars.UltraToolbarsManager();
        ImpToolbar.LoadFromXml(FileName);
        this.dstToolBar.Tables[0].Clear();
        this.dstToolBar.Tables[0].AcceptChanges();
        string SetInfo = "";
        string ParentSetInfo = "";
        if (ImpToolbar.Toolbars.Count > 0)
        {
          for (int i = 0; i < ImpToolbar.Toolbars.Count; i++)
          {
            for (int j = 0; j < ImpToolbar.Toolbars[i].Tools.Count; j++)
            {
              SetInfo = Convert.ToString(j).PadLeft(3, '0');
              GetMenuInfo(ImpToolbar.Toolbars[i].Tools[j], "ROOT", SetInfo, ParentSetInfo, RoleID);
            }
          }
          if (!CommitImportData())
          {
            return false;
          }
          return true;
        }
        return false;
      }
      catch (System.Exception ex)
      {
        System.Diagnostics.Debug.WriteLine(ex.ToString());
        return false;
      }
    }
    private void GetMenuInfo(Object MenuTool, string ParentMenuKey, string SetInfo, string ParentSetInfo, string RoleID)
    {
      try
      {
        if (MenuTool.GetType() == typeof(Infragistics.Win.UltraWinToolbars.PopupMenuTool))
        {
          Infragistics.Win.UltraWinToolbars.PopupMenuTool tmpPMenu = (MenuTool as Infragistics.Win.UltraWinToolbars.PopupMenuTool);
          System.Data.DataRow nprow = this.dstToolBar.Tables[0].NewRow();
          nprow["KEY_"] = tmpPMenu.Key.ToString();
          nprow["CATEGORY"] = tmpPMenu.SharedProps.Category.ToString();
          nprow["CAPTION"] = tmpPMenu.SharedProps.Caption.ToString();
          nprow["TYPE"] = "MENU";
          nprow["PARENTMENU"] = ParentMenuKey;
          nprow["SETINFO"] = ParentSetInfo + SetInfo;
          nprow["ROLEID"] = RoleID;
          this.dstToolBar.Tables[0].Rows.Add(nprow);
          
          if (tmpPMenu.Tools.Count > 0)
          {
            ParentSetInfo = ParentSetInfo + SetInfo;
            for (int i = 0; i < tmpPMenu.Tools.Count; i++)
            {
              SetInfo = Convert.ToString(i).PadLeft(3, '0');
              GetMenuInfo(tmpPMenu.Tools[i], tmpPMenu.Key.ToString(), SetInfo, ParentSetInfo, RoleID);
            }
          }

        }
        else
        {
          Infragistics.Win.UltraWinToolbars.ButtonTool tmpMenu = (MenuTool as Infragistics.Win.UltraWinToolbars.ButtonTool);
          
          System.Data.DataRow nrow = this.dstToolBar.Tables[0].NewRow();
          nrow["KEY_"] = tmpMenu.Key.ToString();
          nrow["CATEGORY"] = tmpMenu.SharedProps.Category.ToString();
          nrow["CAPTION"] = tmpMenu.SharedProps.Caption.ToString();
          nrow["TYPE"] = "FORM";
          nrow["PARENTMENU"] = ParentMenuKey;
          nrow["SETINFO"] = ParentSetInfo + SetInfo;
          nrow["ROLEID"] = RoleID;
          this.dstToolBar.Tables[0].Rows.Add(nrow);
          //this.dstToolBar.AcceptChanges();
        }

      }
      catch (System.Exception ex)
      {
        System.Diagnostics.Debug.WriteLine(ex.ToString());
      }
    }
    private bool CommitImportData()
    {
      try
      {
        if (this.dstToolBar.Tables[0].GetChanges() != null && this.dstToolBar.Tables[0].GetChanges().Rows.Count > 0)
        {
          string err = "";
          object obj = ClientCommon._RemotingHelp.ExecuteMethod("PurviewManager",
          "Core.Mes.PurviewManager.UAM_ROLE", "CommitImportData", new object[]{this.dstToolBar.Tables[0].GetChanges()}, out err);
          if (obj != null && obj.ToString() == "1")
          {            
            this.dstToolBar.Tables[0].Clear();
            this.dstToolBar.AcceptChanges();
            return true;
          }
          else if (err.Length > 0)
          {        
            return false;
          }
        }
        return true;
      }
      catch (System.Exception ex)
      {
        System.Diagnostics.Debug.WriteLine(ex.ToString());
        return false;
      }
    }

    private void btn_ImportAll_Click(object sender, EventArgs e)
    {
      try
      {
        string err = "";
        string FileName = "";
        string Folder = this.txt_folder.Text;
        string RoleID = "";
        object obj = ClientCommon._RemotingHelp.ExecuteMethod("PurviewManager",
          "Core.Mes.PurviewManager.UAM_ROLE", "GetRoleData", null, out err);
        if (obj != null)
        {
          foreach (System.Data.DataRow row in (obj as System.Data.DataSet).Tables[0].Rows)
          {
            if (row["MEMO"].GetType() != typeof(System.DBNull))
            {
              FileName = row["MEMO"].ToString();
              FileName = @Folder + FileName;
              RoleID = row["ROLEID"].ToString();
              if (ImportRole(FileName, RoleID))
              {
                System.IO.File.Delete(FileName);
              }
              else
              {
                System.Diagnostics.Debug.WriteLine(FileName + "　失败");
              }
            }
          }
        }
      }
      catch (System.Exception ex)
      {
        System.Diagnostics.Debug.WriteLine(ex.ToString());
      }
    }

  }//class
}
